io.vertx.rxjava.redis.client

## Class RedisAPI

- java.lang.Object
- - io.vertx.rxjava.redis.client.RedisAPI

-     public class RedisAPI
      extends Object

  Auto generated Redis API client wrapper.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RedisAPI>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedisAPI(Object delegate)`
    `RedisAPI(RedisAPI delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RedisAPI` | `acl(List<String> args)` Redis command acl.
    `RedisAPI` | `acl(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command acl.
    `static RedisAPI` | `api(Redis client)`
    `static RedisAPI` | `api(RedisConnection connection)`
    `RedisAPI` | `append(String arg0, String arg1)` Redis command append.
    `RedisAPI` | `append(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command append.
    `RedisAPI` | `asking()` Redis command asking.
    `RedisAPI` | `asking(Handler<AsyncResult<Response>> handler)` Redis command asking.
    `RedisAPI` | `auth(List<String> args)` Redis command auth.
    `RedisAPI` | `auth(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command auth.
    `RedisAPI` | `bgrewriteaof()` Redis command bgrewriteaof.
    `RedisAPI` | `bgrewriteaof(Handler<AsyncResult<Response>> handler)` Redis command bgrewriteaof.
    `RedisAPI` | `bgsave(List<String> args)` Redis command bgsave.
    `RedisAPI` | `bgsave(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bgsave.
    `RedisAPI` | `bitcount(List<String> args)` Redis command bitcount.
    `RedisAPI` | `bitcount(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bitcount.
    `RedisAPI` | `bitfield(List<String> args)` Redis command bitfield.
    `RedisAPI` | `bitfield(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bitfield.
    `RedisAPI` | `bitfieldRo(List<String> args)` Redis command bitfieldRo.
    `RedisAPI` | `bitfieldRo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bitfieldRo.
    `RedisAPI` | `bitop(List<String> args)` Redis command bitop.
    `RedisAPI` | `bitop(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bitop.
    `RedisAPI` | `bitpos(List<String> args)` Redis command bitpos.
    `RedisAPI` | `bitpos(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bitpos.
    `RedisAPI` | `blpop(List<String> args)` Redis command blpop.
    `RedisAPI` | `blpop(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command blpop.
    `RedisAPI` | `brpop(List<String> args)` Redis command brpop.
    `RedisAPI` | `brpop(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command brpop.
    `RedisAPI` | `brpoplpush(String arg0, String arg1, String arg2)` Redis command brpoplpush.
    `RedisAPI` | `brpoplpush(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command brpoplpush.
    `RedisAPI` | `bzpopmax(List<String> args)` Redis command bzpopmax.
    `RedisAPI` | `bzpopmax(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bzpopmax.
    `RedisAPI` | `bzpopmin(List<String> args)` Redis command bzpopmin.
    `RedisAPI` | `bzpopmin(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command bzpopmin.
    `RedisAPI` | `client(List<String> args)` Redis command client.
    `RedisAPI` | `client(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command client.
    `void` | `close()`
    `RedisAPI` | `cluster(List<String> args)` Redis command cluster.
    `RedisAPI` | `cluster(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command cluster.
    `RedisAPI` | `command(List<String> args)` Redis command command.
    `RedisAPI` | `command(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command command.
    `RedisAPI` | `config(List<String> args)` Redis command config.
    `RedisAPI` | `config(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command config.
    `RedisAPI` | `dbsize()` Redis command dbsize.
    `RedisAPI` | `dbsize(Handler<AsyncResult<Response>> handler)` Redis command dbsize.
    `RedisAPI` | `debug(List<String> args)` Redis command debug.
    `RedisAPI` | `debug(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command debug.
    `RedisAPI` | `decr(String arg0)` Redis command decr.
    `RedisAPI` | `decr(String arg0, Handler<AsyncResult<Response>> handler)` Redis command decr.
    `RedisAPI` | `decrby(String arg0, String arg1)` Redis command decrby.
    `RedisAPI` | `decrby(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command decrby.
    `RedisAPI` | `del(List<String> args)` Redis command del.
    `RedisAPI` | `del(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command del.
    `RedisAPI` | `discard()` Redis command discard.
    `RedisAPI` | `discard(Handler<AsyncResult<Response>> handler)` Redis command discard.
    `RedisAPI` | `dump(String arg0)` Redis command dump.
    `RedisAPI` | `dump(String arg0, Handler<AsyncResult<Response>> handler)` Redis command dump.
    `RedisAPI` | `echo(String arg0)` Redis command echo.
    `RedisAPI` | `echo(String arg0, Handler<AsyncResult<Response>> handler)` Redis command echo.
    `boolean` | `equals(Object o)`
    `RedisAPI` | `eval(List<String> args)` Redis command eval.
    `RedisAPI` | `eval(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command eval.
    `RedisAPI` | `evalsha(List<String> args)` Redis command evalsha.
    `RedisAPI` | `evalsha(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command evalsha.
    `RedisAPI` | `exec()` Redis command exec.
    `RedisAPI` | `exec(Handler<AsyncResult<Response>> handler)` Redis command exec.
    `RedisAPI` | `exists(List<String> args)` Redis command exists.
    `RedisAPI` | `exists(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command exists.
    `RedisAPI` | `expire(String arg0, String arg1)` Redis command expire.
    `RedisAPI` | `expire(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command expire.
    `RedisAPI` | `expireat(String arg0, String arg1)` Redis command expireat.
    `RedisAPI` | `expireat(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command expireat.
    `RedisAPI` | `flushall(List<String> args)` Redis command flushall.
    `RedisAPI` | `flushall(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command flushall.
    `RedisAPI` | `flushdb(List<String> args)` Redis command flushdb.
    `RedisAPI` | `flushdb(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command flushdb.
    `RedisAPI` | `geoadd(List<String> args)` Redis command geoadd.
    `RedisAPI` | `geoadd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command geoadd.
    `RedisAPI` | `geodist(List<String> args)` Redis command geodist.
    `RedisAPI` | `geodist(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command geodist.
    `RedisAPI` | `geohash(List<String> args)` Redis command geohash.
    `RedisAPI` | `geohash(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command geohash.
    `RedisAPI` | `geopos(List<String> args)` Redis command geopos.
    `RedisAPI` | `geopos(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command geopos.
    `RedisAPI` | `georadius(List<String> args)` Redis command georadius.
    `RedisAPI` | `georadius(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command georadius.
    `RedisAPI` | `georadiusbymember(List<String> args)` Redis command georadiusbymember.
    `RedisAPI` | `georadiusbymember(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command georadiusbymember.
    `RedisAPI` | `georadiusbymemberRo(List<String> args)` Redis command georadiusbymemberRo.
    `RedisAPI` | `georadiusbymemberRo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command georadiusbymemberRo.
    `RedisAPI` | `georadiusRo(List<String> args)` Redis command georadiusRo.
    `RedisAPI` | `georadiusRo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command georadiusRo.
    `RedisAPI` | `get(String arg0)` Redis command get.
    `RedisAPI` | `get(String arg0, Handler<AsyncResult<Response>> handler)` Redis command get.
    `RedisAPI` | `getbit(String arg0, String arg1)` Redis command getbit.
    `RedisAPI` | `getbit(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command getbit.
    `RedisAPI` | `getDelegate()`
    `RedisAPI` | `getrange(String arg0, String arg1, String arg2)` Redis command getrange.
    `RedisAPI` | `getrange(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command getrange.
    `RedisAPI` | `getset(String arg0, String arg1)` Redis command getset.
    `RedisAPI` | `getset(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command getset.
    `int` | `hashCode()`
    `RedisAPI` | `hdel(List<String> args)` Redis command hdel.
    `RedisAPI` | `hdel(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command hdel.
    `RedisAPI` | `hello(List<String> args)` Redis command hello.
    `RedisAPI` | `hello(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command hello.
    `RedisAPI` | `hexists(String arg0, String arg1)` Redis command hexists.
    `RedisAPI` | `hexists(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command hexists.
    `RedisAPI` | `hget(String arg0, String arg1)` Redis command hget.
    `RedisAPI` | `hget(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command hget.
    `RedisAPI` | `hgetall(String arg0)` Redis command hgetall.
    `RedisAPI` | `hgetall(String arg0, Handler<AsyncResult<Response>> handler)` Redis command hgetall.
    `RedisAPI` | `hincrby(String arg0, String arg1, String arg2)` Redis command hincrby.
    `RedisAPI` | `hincrby(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command hincrby.
    `RedisAPI` | `hincrbyfloat(String arg0, String arg1, String arg2)` Redis command hincrbyfloat.
    `RedisAPI` | `hincrbyfloat(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command hincrbyfloat.
    `RedisAPI` | `hkeys(String arg0)` Redis command hkeys.
    `RedisAPI` | `hkeys(String arg0, Handler<AsyncResult<Response>> handler)` Redis command hkeys.
    `RedisAPI` | `hlen(String arg0)` Redis command hlen.
    `RedisAPI` | `hlen(String arg0, Handler<AsyncResult<Response>> handler)` Redis command hlen.
    `RedisAPI` | `hmget(List<String> args)` Redis command hmget.
    `RedisAPI` | `hmget(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command hmget.
    `RedisAPI` | `hmset(List<String> args)` Redis command hmset.
    `RedisAPI` | `hmset(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command hmset.
    `RedisAPI` | `host(List<String> args)` Redis command host.
    `RedisAPI` | `host(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command host.
    `RedisAPI` | `hscan(List<String> args)` Redis command hscan.
    `RedisAPI` | `hscan(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command hscan.
    `RedisAPI` | `hset(List<String> args)` Redis command hset.
    `RedisAPI` | `hset(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command hset.
    `RedisAPI` | `hsetnx(String arg0, String arg1, String arg2)` Redis command hsetnx.
    `RedisAPI` | `hsetnx(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command hsetnx.
    `RedisAPI` | `hstrlen(String arg0, String arg1)` Redis command hstrlen.
    `RedisAPI` | `hstrlen(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command hstrlen.
    `RedisAPI` | `hvals(String arg0)` Redis command hvals.
    `RedisAPI` | `hvals(String arg0, Handler<AsyncResult<Response>> handler)` Redis command hvals.
    `RedisAPI` | `incr(String arg0)` Redis command incr.
    `RedisAPI` | `incr(String arg0, Handler<AsyncResult<Response>> handler)` Redis command incr.
    `RedisAPI` | `incrby(String arg0, String arg1)` Redis command incrby.
    `RedisAPI` | `incrby(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command incrby.
    `RedisAPI` | `incrbyfloat(String arg0, String arg1)` Redis command incrbyfloat.
    `RedisAPI` | `incrbyfloat(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command incrbyfloat.
    `RedisAPI` | `info(List<String> args)` Redis command info.
    `RedisAPI` | `info(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command info.
    `RedisAPI` | `keys(String arg0)` Redis command keys.
    `RedisAPI` | `keys(String arg0, Handler<AsyncResult<Response>> handler)` Redis command keys.
    `RedisAPI` | `lastsave()` Redis command lastsave.
    `RedisAPI` | `lastsave(Handler<AsyncResult<Response>> handler)` Redis command lastsave.
    `RedisAPI` | `latency(List<String> args)` Redis command latency.
    `RedisAPI` | `latency(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command latency.
    `RedisAPI` | `lindex(String arg0, String arg1)` Redis command lindex.
    `RedisAPI` | `lindex(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command lindex.
    `RedisAPI` | `linsert(String arg0, String arg1, String arg2, String arg3)` Redis command linsert.
    `RedisAPI` | `linsert(String arg0, String arg1, String arg2, String arg3, Handler<AsyncResult<Response>> handler)` Redis command linsert.
    `RedisAPI` | `llen(String arg0)` Redis command llen.
    `RedisAPI` | `llen(String arg0, Handler<AsyncResult<Response>> handler)` Redis command llen.
    `RedisAPI` | `lolwut(List<String> args)` Redis command lolwut.
    `RedisAPI` | `lolwut(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command lolwut.
    `RedisAPI` | `lpop(String arg0)` Redis command lpop.
    `RedisAPI` | `lpop(String arg0, Handler<AsyncResult<Response>> handler)` Redis command lpop.
    `RedisAPI` | `lpush(List<String> args)` Redis command lpush.
    `RedisAPI` | `lpush(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command lpush.
    `RedisAPI` | `lpushx(List<String> args)` Redis command lpushx.
    `RedisAPI` | `lpushx(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command lpushx.
    `RedisAPI` | `lrange(String arg0, String arg1, String arg2)` Redis command lrange.
    `RedisAPI` | `lrange(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command lrange.
    `RedisAPI` | `lrem(String arg0, String arg1, String arg2)` Redis command lrem.
    `RedisAPI` | `lrem(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command lrem.
    `RedisAPI` | `lset(String arg0, String arg1, String arg2)` Redis command lset.
    `RedisAPI` | `lset(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command lset.
    `RedisAPI` | `ltrim(String arg0, String arg1, String arg2)` Redis command ltrim.
    `RedisAPI` | `ltrim(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command ltrim.
    `RedisAPI` | `memory(List<String> args)` Redis command memory.
    `RedisAPI` | `memory(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command memory.
    `RedisAPI` | `mget(List<String> args)` Redis command mget.
    `RedisAPI` | `mget(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command mget.
    `RedisAPI` | `migrate(List<String> args)` Redis command migrate.
    `RedisAPI` | `migrate(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command migrate.
    `RedisAPI` | `module(List<String> args)` Redis command module.
    `RedisAPI` | `module(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command module.
    `RedisAPI` | `monitor()` Redis command monitor.
    `RedisAPI` | `monitor(Handler<AsyncResult<Response>> handler)` Redis command monitor.
    `RedisAPI` | `move(String arg0, String arg1)` Redis command move.
    `RedisAPI` | `move(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command move.
    `RedisAPI` | `mset(List<String> args)` Redis command mset.
    `RedisAPI` | `mset(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command mset.
    `RedisAPI` | `msetnx(List<String> args)` Redis command msetnx.
    `RedisAPI` | `msetnx(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command msetnx.
    `RedisAPI` | `multi()` Redis command multi.
    `RedisAPI` | `multi(Handler<AsyncResult<Response>> handler)` Redis command multi.
    `static RedisAPI` | `newInstance(RedisAPI arg)`
    `RedisAPI` | `object(List<String> args)` Redis command object.
    `RedisAPI` | `object(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command object.
    `RedisAPI` | `persist(String arg0)` Redis command persist.
    `RedisAPI` | `persist(String arg0, Handler<AsyncResult<Response>> handler)` Redis command persist.
    `RedisAPI` | `pexpire(String arg0, String arg1)` Redis command pexpire.
    `RedisAPI` | `pexpire(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command pexpire.
    `RedisAPI` | `pexpireat(String arg0, String arg1)` Redis command pexpireat.
    `RedisAPI` | `pexpireat(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command pexpireat.
    `RedisAPI` | `pfadd(List<String> args)` Redis command pfadd.
    `RedisAPI` | `pfadd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command pfadd.
    `RedisAPI` | `pfcount(List<String> args)` Redis command pfcount.
    `RedisAPI` | `pfcount(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command pfcount.
    `RedisAPI` | `pfdebug(List<String> args)` Redis command pfdebug.
    `RedisAPI` | `pfdebug(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command pfdebug.
    `RedisAPI` | `pfmerge(List<String> args)` Redis command pfmerge.
    `RedisAPI` | `pfmerge(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command pfmerge.
    `RedisAPI` | `pfselftest()` Redis command pfselftest.
    `RedisAPI` | `pfselftest(Handler<AsyncResult<Response>> handler)` Redis command pfselftest.
    `RedisAPI` | `ping(List<String> args)` Redis command ping.
    `RedisAPI` | `ping(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command ping.
    `RedisAPI` | `post(List<String> args)` Redis command post.
    `RedisAPI` | `post(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command post.
    `RedisAPI` | `psetex(String arg0, String arg1, String arg2)` Redis command psetex.
    `RedisAPI` | `psetex(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command psetex.
    `RedisAPI` | `psubscribe(List<String> args)` Redis command psubscribe.
    `RedisAPI` | `psubscribe(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command psubscribe.
    `RedisAPI` | `psync(String arg0, String arg1)` Redis command psync.
    `RedisAPI` | `psync(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command psync.
    `RedisAPI` | `pttl(String arg0)` Redis command pttl.
    `RedisAPI` | `pttl(String arg0, Handler<AsyncResult<Response>> handler)` Redis command pttl.
    `RedisAPI` | `publish(String arg0, String arg1)` Redis command publish.
    `RedisAPI` | `publish(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command publish.
    `RedisAPI` | `pubsub(List<String> args)` Redis command pubsub.
    `RedisAPI` | `pubsub(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command pubsub.
    `RedisAPI` | `punsubscribe(List<String> args)` Redis command punsubscribe.
    `RedisAPI` | `punsubscribe(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command punsubscribe.
    `RedisAPI` | `randomkey()` Redis command randomkey.
    `RedisAPI` | `randomkey(Handler<AsyncResult<Response>> handler)` Redis command randomkey.
    `RedisAPI` | `readonly()` Redis command readonly.
    `RedisAPI` | `readonly(Handler<AsyncResult<Response>> handler)` Redis command readonly.
    `RedisAPI` | `readwrite()` Redis command readwrite.
    `RedisAPI` | `readwrite(Handler<AsyncResult<Response>> handler)` Redis command readwrite.
    `RedisAPI` | `rename(String arg0, String arg1)` Redis command rename.
    `RedisAPI` | `rename(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command rename.
    `RedisAPI` | `renamenx(String arg0, String arg1)` Redis command renamenx.
    `RedisAPI` | `renamenx(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command renamenx.
    `RedisAPI` | `replconf(List<String> args)` Redis command replconf.
    `RedisAPI` | `replconf(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command replconf.
    `RedisAPI` | `replicaof(String arg0, String arg1)` Redis command replicaof.
    `RedisAPI` | `replicaof(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command replicaof.
    `RedisAPI` | `restore(List<String> args)` Redis command restore.
    `RedisAPI` | `restore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command restore.
    `RedisAPI` | `restoreAsking(List<String> args)` Redis command restoreAsking.
    `RedisAPI` | `restoreAsking(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command restoreAsking.
    `RedisAPI` | `role()` Redis command role.
    `RedisAPI` | `role(Handler<AsyncResult<Response>> handler)` Redis command role.
    `RedisAPI` | `rpop(String arg0)` Redis command rpop.
    `RedisAPI` | `rpop(String arg0, Handler<AsyncResult<Response>> handler)` Redis command rpop.
    `RedisAPI` | `rpoplpush(String arg0, String arg1)` Redis command rpoplpush.
    `RedisAPI` | `rpoplpush(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command rpoplpush.
    `RedisAPI` | `rpush(List<String> args)` Redis command rpush.
    `RedisAPI` | `rpush(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command rpush.
    `RedisAPI` | `rpushx(List<String> args)` Redis command rpushx.
    `RedisAPI` | `rpushx(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command rpushx.
    `Single<Response>` | `rxAcl(List<String> args)` Redis command acl.
    `Single<Response>` | `rxAppend(String arg0, String arg1)` Redis command append.
    `Single<Response>` | `rxAsking()` Redis command asking.
    `Single<Response>` | `rxAuth(List<String> args)` Redis command auth.
    `Single<Response>` | `rxBgrewriteaof()` Redis command bgrewriteaof.
    `Single<Response>` | `rxBgsave(List<String> args)` Redis command bgsave.
    `Single<Response>` | `rxBitcount(List<String> args)` Redis command bitcount.
    `Single<Response>` | `rxBitfield(List<String> args)` Redis command bitfield.
    `Single<Response>` | `rxBitfieldRo(List<String> args)` Redis command bitfieldRo.
    `Single<Response>` | `rxBitop(List<String> args)` Redis command bitop.
    `Single<Response>` | `rxBitpos(List<String> args)` Redis command bitpos.
    `Single<Response>` | `rxBlpop(List<String> args)` Redis command blpop.
    `Single<Response>` | `rxBrpop(List<String> args)` Redis command brpop.
    `Single<Response>` | `rxBrpoplpush(String arg0, String arg1, String arg2)` Redis command brpoplpush.
    `Single<Response>` | `rxBzpopmax(List<String> args)` Redis command bzpopmax.
    `Single<Response>` | `rxBzpopmin(List<String> args)` Redis command bzpopmin.
    `Single<Response>` | `rxClient(List<String> args)` Redis command client.
    `Single<Response>` | `rxCluster(List<String> args)` Redis command cluster.
    `Single<Response>` | `rxCommand(List<String> args)` Redis command command.
    `Single<Response>` | `rxConfig(List<String> args)` Redis command config.
    `Single<Response>` | `rxDbsize()` Redis command dbsize.
    `Single<Response>` | `rxDebug(List<String> args)` Redis command debug.
    `Single<Response>` | `rxDecr(String arg0)` Redis command decr.
    `Single<Response>` | `rxDecrby(String arg0, String arg1)` Redis command decrby.
    `Single<Response>` | `rxDel(List<String> args)` Redis command del.
    `Single<Response>` | `rxDiscard()` Redis command discard.
    `Single<Response>` | `rxDump(String arg0)` Redis command dump.
    `Single<Response>` | `rxEcho(String arg0)` Redis command echo.
    `Single<Response>` | `rxEval(List<String> args)` Redis command eval.
    `Single<Response>` | `rxEvalsha(List<String> args)` Redis command evalsha.
    `Single<Response>` | `rxExec()` Redis command exec.
    `Single<Response>` | `rxExists(List<String> args)` Redis command exists.
    `Single<Response>` | `rxExpire(String arg0, String arg1)` Redis command expire.
    `Single<Response>` | `rxExpireat(String arg0, String arg1)` Redis command expireat.
    `Single<Response>` | `rxFlushall(List<String> args)` Redis command flushall.
    `Single<Response>` | `rxFlushdb(List<String> args)` Redis command flushdb.
    `Single<Response>` | `rxGeoadd(List<String> args)` Redis command geoadd.
    `Single<Response>` | `rxGeodist(List<String> args)` Redis command geodist.
    `Single<Response>` | `rxGeohash(List<String> args)` Redis command geohash.
    `Single<Response>` | `rxGeopos(List<String> args)` Redis command geopos.
    `Single<Response>` | `rxGeoradius(List<String> args)` Redis command georadius.
    `Single<Response>` | `rxGeoradiusbymember(List<String> args)` Redis command georadiusbymember.
    `Single<Response>` | `rxGeoradiusbymemberRo(List<String> args)` Redis command georadiusbymemberRo.
    `Single<Response>` | `rxGeoradiusRo(List<String> args)` Redis command georadiusRo.
    `Single<Response>` | `rxGet(String arg0)` Redis command get.
    `Single<Response>` | `rxGetbit(String arg0, String arg1)` Redis command getbit.
    `Single<Response>` | `rxGetrange(String arg0, String arg1, String arg2)` Redis command getrange.
    `Single<Response>` | `rxGetset(String arg0, String arg1)` Redis command getset.
    `Single<Response>` | `rxHdel(List<String> args)` Redis command hdel.
    `Single<Response>` | `rxHello(List<String> args)` Redis command hello.
    `Single<Response>` | `rxHexists(String arg0, String arg1)` Redis command hexists.
    `Single<Response>` | `rxHget(String arg0, String arg1)` Redis command hget.
    `Single<Response>` | `rxHgetall(String arg0)` Redis command hgetall.
    `Single<Response>` | `rxHincrby(String arg0, String arg1, String arg2)` Redis command hincrby.
    `Single<Response>` | `rxHincrbyfloat(String arg0, String arg1, String arg2)` Redis command hincrbyfloat.
    `Single<Response>` | `rxHkeys(String arg0)` Redis command hkeys.
    `Single<Response>` | `rxHlen(String arg0)` Redis command hlen.
    `Single<Response>` | `rxHmget(List<String> args)` Redis command hmget.
    `Single<Response>` | `rxHmset(List<String> args)` Redis command hmset.
    `Single<Response>` | `rxHost(List<String> args)` Redis command host.
    `Single<Response>` | `rxHscan(List<String> args)` Redis command hscan.
    `Single<Response>` | `rxHset(List<String> args)` Redis command hset.
    `Single<Response>` | `rxHsetnx(String arg0, String arg1, String arg2)` Redis command hsetnx.
    `Single<Response>` | `rxHstrlen(String arg0, String arg1)` Redis command hstrlen.
    `Single<Response>` | `rxHvals(String arg0)` Redis command hvals.
    `Single<Response>` | `rxIncr(String arg0)` Redis command incr.
    `Single<Response>` | `rxIncrby(String arg0, String arg1)` Redis command incrby.
    `Single<Response>` | `rxIncrbyfloat(String arg0, String arg1)` Redis command incrbyfloat.
    `Single<Response>` | `rxInfo(List<String> args)` Redis command info.
    `Single<Response>` | `rxKeys(String arg0)` Redis command keys.
    `Single<Response>` | `rxLastsave()` Redis command lastsave.
    `Single<Response>` | `rxLatency(List<String> args)` Redis command latency.
    `Single<Response>` | `rxLindex(String arg0, String arg1)` Redis command lindex.
    `Single<Response>` | `rxLinsert(String arg0, String arg1, String arg2, String arg3)` Redis command linsert.
    `Single<Response>` | `rxLlen(String arg0)` Redis command llen.
    `Single<Response>` | `rxLolwut(List<String> args)` Redis command lolwut.
    `Single<Response>` | `rxLpop(String arg0)` Redis command lpop.
    `Single<Response>` | `rxLpush(List<String> args)` Redis command lpush.
    `Single<Response>` | `rxLpushx(List<String> args)` Redis command lpushx.
    `Single<Response>` | `rxLrange(String arg0, String arg1, String arg2)` Redis command lrange.
    `Single<Response>` | `rxLrem(String arg0, String arg1, String arg2)` Redis command lrem.
    `Single<Response>` | `rxLset(String arg0, String arg1, String arg2)` Redis command lset.
    `Single<Response>` | `rxLtrim(String arg0, String arg1, String arg2)` Redis command ltrim.
    `Single<Response>` | `rxMemory(List<String> args)` Redis command memory.
    `Single<Response>` | `rxMget(List<String> args)` Redis command mget.
    `Single<Response>` | `rxMigrate(List<String> args)` Redis command migrate.
    `Single<Response>` | `rxModule(List<String> args)` Redis command module.
    `Single<Response>` | `rxMonitor()` Redis command monitor.
    `Single<Response>` | `rxMove(String arg0, String arg1)` Redis command move.
    `Single<Response>` | `rxMset(List<String> args)` Redis command mset.
    `Single<Response>` | `rxMsetnx(List<String> args)` Redis command msetnx.
    `Single<Response>` | `rxMulti()` Redis command multi.
    `Single<Response>` | `rxObject(List<String> args)` Redis command object.
    `Single<Response>` | `rxPersist(String arg0)` Redis command persist.
    `Single<Response>` | `rxPexpire(String arg0, String arg1)` Redis command pexpire.
    `Single<Response>` | `rxPexpireat(String arg0, String arg1)` Redis command pexpireat.
    `Single<Response>` | `rxPfadd(List<String> args)` Redis command pfadd.
    `Single<Response>` | `rxPfcount(List<String> args)` Redis command pfcount.
    `Single<Response>` | `rxPfdebug(List<String> args)` Redis command pfdebug.
    `Single<Response>` | `rxPfmerge(List<String> args)` Redis command pfmerge.
    `Single<Response>` | `rxPfselftest()` Redis command pfselftest.
    `Single<Response>` | `rxPing(List<String> args)` Redis command ping.
    `Single<Response>` | `rxPost(List<String> args)` Redis command post.
    `Single<Response>` | `rxPsetex(String arg0, String arg1, String arg2)` Redis command psetex.
    `Single<Response>` | `rxPsubscribe(List<String> args)` Redis command psubscribe.
    `Single<Response>` | `rxPsync(String arg0, String arg1)` Redis command psync.
    `Single<Response>` | `rxPttl(String arg0)` Redis command pttl.
    `Single<Response>` | `rxPublish(String arg0, String arg1)` Redis command publish.
    `Single<Response>` | `rxPubsub(List<String> args)` Redis command pubsub.
    `Single<Response>` | `rxPunsubscribe(List<String> args)` Redis command punsubscribe.
    `Single<Response>` | `rxRandomkey()` Redis command randomkey.
    `Single<Response>` | `rxReadonly()` Redis command readonly.
    `Single<Response>` | `rxReadwrite()` Redis command readwrite.
    `Single<Response>` | `rxRename(String arg0, String arg1)` Redis command rename.
    `Single<Response>` | `rxRenamenx(String arg0, String arg1)` Redis command renamenx.
    `Single<Response>` | `rxReplconf(List<String> args)` Redis command replconf.
    `Single<Response>` | `rxReplicaof(String arg0, String arg1)` Redis command replicaof.
    `Single<Response>` | `rxRestore(List<String> args)` Redis command restore.
    `Single<Response>` | `rxRestoreAsking(List<String> args)` Redis command restoreAsking.
    `Single<Response>` | `rxRole()` Redis command role.
    `Single<Response>` | `rxRpop(String arg0)` Redis command rpop.
    `Single<Response>` | `rxRpoplpush(String arg0, String arg1)` Redis command rpoplpush.
    `Single<Response>` | `rxRpush(List<String> args)` Redis command rpush.
    `Single<Response>` | `rxRpushx(List<String> args)` Redis command rpushx.
    `Single<Response>` | `rxSadd(List<String> args)` Redis command sadd.
    `Single<Response>` | `rxSave()` Redis command save.
    `Single<Response>` | `rxScan(List<String> args)` Redis command scan.
    `Single<Response>` | `rxScard(String arg0)` Redis command scard.
    `Single<Response>` | `rxScript(List<String> args)` Redis command script.
    `Single<Response>` | `rxSdiff(List<String> args)` Redis command sdiff.
    `Single<Response>` | `rxSdiffstore(List<String> args)` Redis command sdiffstore.
    `Single<Response>` | `rxSelect(String arg0)` Redis command select.
    `Single<Response>` | `rxSet(List<String> args)` Redis command set.
    `Single<Response>` | `rxSetbit(String arg0, String arg1, String arg2)` Redis command setbit.
    `Single<Response>` | `rxSetex(String arg0, String arg1, String arg2)` Redis command setex.
    `Single<Response>` | `rxSetnx(String arg0, String arg1)` Redis command setnx.
    `Single<Response>` | `rxSetrange(String arg0, String arg1, String arg2)` Redis command setrange.
    `Single<Response>` | `rxShutdown(List<String> args)` Redis command shutdown.
    `Single<Response>` | `rxSinter(List<String> args)` Redis command sinter.
    `Single<Response>` | `rxSinterstore(List<String> args)` Redis command sinterstore.
    `Single<Response>` | `rxSismember(String arg0, String arg1)` Redis command sismember.
    `Single<Response>` | `rxSlaveof(String arg0, String arg1)` Redis command slaveof.
    `Single<Response>` | `rxSlowlog(List<String> args)` Redis command slowlog.
    `Single<Response>` | `rxSmembers(String arg0)` Redis command smembers.
    `Single<Response>` | `rxSmove(String arg0, String arg1, String arg2)` Redis command smove.
    `Single<Response>` | `rxSort(List<String> args)` Redis command sort.
    `Single<Response>` | `rxSpop(List<String> args)` Redis command spop.
    `Single<Response>` | `rxSrandmember(List<String> args)` Redis command srandmember.
    `Single<Response>` | `rxSrem(List<String> args)` Redis command srem.
    `Single<Response>` | `rxSscan(List<String> args)` Redis command sscan.
    `Single<Response>` | `rxStralgo(List<String> args)` Redis command stralgo.
    `Single<Response>` | `rxStrlen(String arg0)` Redis command strlen.
    `Single<Response>` | `rxSubscribe(List<String> args)` Redis command subscribe.
    `Single<Response>` | `rxSubstr(String arg0, String arg1, String arg2)` Redis command substr.
    `Single<Response>` | `rxSunion(List<String> args)` Redis command sunion.
    `Single<Response>` | `rxSunionstore(List<String> args)` Redis command sunionstore.
    `Single<Response>` | `rxSwapdb(String arg0, String arg1)` Redis command swapdb.
    `Single<Response>` | `rxSync()` Redis command sync.
    `Single<Response>` | `rxTime()` Redis command time.
    `Single<Response>` | `rxTouch(List<String> args)` Redis command touch.
    `Single<Response>` | `rxTtl(String arg0)` Redis command ttl.
    `Single<Response>` | `rxType(String arg0)` Redis command type.
    `Single<Response>` | `rxUnlink(List<String> args)` Redis command unlink.
    `Single<Response>` | `rxUnsubscribe(List<String> args)` Redis command unsubscribe.
    `Single<Response>` | `rxUnwatch()` Redis command unwatch.
    `Single<Response>` | `rxWait(String arg0, String arg1)` Redis command wait.
    `Single<Response>` | `rxWatch(List<String> args)` Redis command watch.
    `Single<Response>` | `rxXack(List<String> args)` Redis command xack.
    `Single<Response>` | `rxXadd(List<String> args)` Redis command xadd.
    `Single<Response>` | `rxXclaim(List<String> args)` Redis command xclaim.
    `Single<Response>` | `rxXdel(List<String> args)` Redis command xdel.
    `Single<Response>` | `rxXgroup(List<String> args)` Redis command xgroup.
    `Single<Response>` | `rxXinfo(List<String> args)` Redis command xinfo.
    `Single<Response>` | `rxXlen(String arg0)` Redis command xlen.
    `Single<Response>` | `rxXpending(List<String> args)` Redis command xpending.
    `Single<Response>` | `rxXrange(List<String> args)` Redis command xrange.
    `Single<Response>` | `rxXread(List<String> args)` Redis command xread.
    `Single<Response>` | `rxXreadgroup(List<String> args)` Redis command xreadgroup.
    `Single<Response>` | `rxXrevrange(List<String> args)` Redis command xrevrange.
    `Single<Response>` | `rxXsetid(String arg0, String arg1)` Redis command xsetid.
    `Single<Response>` | `rxXtrim(List<String> args)` Redis command xtrim.
    `Single<Response>` | `rxZadd(List<String> args)` Redis command zadd.
    `Single<Response>` | `rxZcard(String arg0)` Redis command zcard.
    `Single<Response>` | `rxZcount(String arg0, String arg1, String arg2)` Redis command zcount.
    `Single<Response>` | `rxZincrby(String arg0, String arg1, String arg2)` Redis command zincrby.
    `Single<Response>` | `rxZinterstore(List<String> args)` Redis command zinterstore.
    `Single<Response>` | `rxZlexcount(String arg0, String arg1, String arg2)` Redis command zlexcount.
    `Single<Response>` | `rxZpopmax(List<String> args)` Redis command zpopmax.
    `Single<Response>` | `rxZpopmin(List<String> args)` Redis command zpopmin.
    `Single<Response>` | `rxZrange(List<String> args)` Redis command zrange.
    `Single<Response>` | `rxZrangebylex(List<String> args)` Redis command zrangebylex.
    `Single<Response>` | `rxZrangebyscore(List<String> args)` Redis command zrangebyscore.
    `Single<Response>` | `rxZrank(String arg0, String arg1)` Redis command zrank.
    `Single<Response>` | `rxZrem(List<String> args)` Redis command zrem.
    `Single<Response>` | `rxZremrangebylex(String arg0, String arg1, String arg2)` Redis command zremrangebylex.
    `Single<Response>` | `rxZremrangebyrank(String arg0, String arg1, String arg2)` Redis command zremrangebyrank.
    `Single<Response>` | `rxZremrangebyscore(String arg0, String arg1, String arg2)` Redis command zremrangebyscore.
    `Single<Response>` | `rxZrevrange(List<String> args)` Redis command zrevrange.
    `Single<Response>` | `rxZrevrangebylex(List<String> args)` Redis command zrevrangebylex.
    `Single<Response>` | `rxZrevrangebyscore(List<String> args)` Redis command zrevrangebyscore.
    `Single<Response>` | `rxZrevrank(String arg0, String arg1)` Redis command zrevrank.
    `Single<Response>` | `rxZscan(List<String> args)` Redis command zscan.
    `Single<Response>` | `rxZscore(String arg0, String arg1)` Redis command zscore.
    `Single<Response>` | `rxZunionstore(List<String> args)` Redis command zunionstore.
    `RedisAPI` | `sadd(List<String> args)` Redis command sadd.
    `RedisAPI` | `sadd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sadd.
    `RedisAPI` | `save()` Redis command save.
    `RedisAPI` | `save(Handler<AsyncResult<Response>> handler)` Redis command save.
    `RedisAPI` | `scan(List<String> args)` Redis command scan.
    `RedisAPI` | `scan(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command scan.
    `RedisAPI` | `scard(String arg0)` Redis command scard.
    `RedisAPI` | `scard(String arg0, Handler<AsyncResult<Response>> handler)` Redis command scard.
    `RedisAPI` | `script(List<String> args)` Redis command script.
    `RedisAPI` | `script(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command script.
    `RedisAPI` | `sdiff(List<String> args)` Redis command sdiff.
    `RedisAPI` | `sdiff(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sdiff.
    `RedisAPI` | `sdiffstore(List<String> args)` Redis command sdiffstore.
    `RedisAPI` | `sdiffstore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sdiffstore.
    `RedisAPI` | `select(String arg0)` Redis command select.
    `RedisAPI` | `select(String arg0, Handler<AsyncResult<Response>> handler)` Redis command select.
    `RedisAPI` | `set(List<String> args)` Redis command set.
    `RedisAPI` | `set(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command set.
    `RedisAPI` | `setbit(String arg0, String arg1, String arg2)` Redis command setbit.
    `RedisAPI` | `setbit(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command setbit.
    `RedisAPI` | `setex(String arg0, String arg1, String arg2)` Redis command setex.
    `RedisAPI` | `setex(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command setex.
    `RedisAPI` | `setnx(String arg0, String arg1)` Redis command setnx.
    `RedisAPI` | `setnx(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command setnx.
    `RedisAPI` | `setrange(String arg0, String arg1, String arg2)` Redis command setrange.
    `RedisAPI` | `setrange(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command setrange.
    `RedisAPI` | `shutdown(List<String> args)` Redis command shutdown.
    `RedisAPI` | `shutdown(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command shutdown.
    `RedisAPI` | `sinter(List<String> args)` Redis command sinter.
    `RedisAPI` | `sinter(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sinter.
    `RedisAPI` | `sinterstore(List<String> args)` Redis command sinterstore.
    `RedisAPI` | `sinterstore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sinterstore.
    `RedisAPI` | `sismember(String arg0, String arg1)` Redis command sismember.
    `RedisAPI` | `sismember(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command sismember.
    `RedisAPI` | `slaveof(String arg0, String arg1)` Redis command slaveof.
    `RedisAPI` | `slaveof(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command slaveof.
    `RedisAPI` | `slowlog(List<String> args)` Redis command slowlog.
    `RedisAPI` | `slowlog(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command slowlog.
    `RedisAPI` | `smembers(String arg0)` Redis command smembers.
    `RedisAPI` | `smembers(String arg0, Handler<AsyncResult<Response>> handler)` Redis command smembers.
    `RedisAPI` | `smove(String arg0, String arg1, String arg2)` Redis command smove.
    `RedisAPI` | `smove(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command smove.
    `RedisAPI` | `sort(List<String> args)` Redis command sort.
    `RedisAPI` | `sort(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sort.
    `RedisAPI` | `spop(List<String> args)` Redis command spop.
    `RedisAPI` | `spop(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command spop.
    `RedisAPI` | `srandmember(List<String> args)` Redis command srandmember.
    `RedisAPI` | `srandmember(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command srandmember.
    `RedisAPI` | `srem(List<String> args)` Redis command srem.
    `RedisAPI` | `srem(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command srem.
    `RedisAPI` | `sscan(List<String> args)` Redis command sscan.
    `RedisAPI` | `sscan(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sscan.
    `RedisAPI` | `stralgo(List<String> args)` Redis command stralgo.
    `RedisAPI` | `stralgo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command stralgo.
    `RedisAPI` | `strlen(String arg0)` Redis command strlen.
    `RedisAPI` | `strlen(String arg0, Handler<AsyncResult<Response>> handler)` Redis command strlen.
    `RedisAPI` | `subscribe(List<String> args)` Redis command subscribe.
    `RedisAPI` | `subscribe(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command subscribe.
    `RedisAPI` | `substr(String arg0, String arg1, String arg2)` Redis command substr.
    `RedisAPI` | `substr(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command substr.
    `RedisAPI` | `sunion(List<String> args)` Redis command sunion.
    `RedisAPI` | `sunion(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sunion.
    `RedisAPI` | `sunionstore(List<String> args)` Redis command sunionstore.
    `RedisAPI` | `sunionstore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command sunionstore.
    `RedisAPI` | `swapdb(String arg0, String arg1)` Redis command swapdb.
    `RedisAPI` | `swapdb(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command swapdb.
    `RedisAPI` | `sync()` Redis command sync.
    `RedisAPI` | `sync(Handler<AsyncResult<Response>> handler)` Redis command sync.
    `RedisAPI` | `time()` Redis command time.
    `RedisAPI` | `time(Handler<AsyncResult<Response>> handler)` Redis command time.
    `String` | `toString()`
    `RedisAPI` | `touch(List<String> args)` Redis command touch.
    `RedisAPI` | `touch(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command touch.
    `RedisAPI` | `ttl(String arg0)` Redis command ttl.
    `RedisAPI` | `ttl(String arg0, Handler<AsyncResult<Response>> handler)` Redis command ttl.
    `RedisAPI` | `type(String arg0)` Redis command type.
    `RedisAPI` | `type(String arg0, Handler<AsyncResult<Response>> handler)` Redis command type.
    `RedisAPI` | `unlink(List<String> args)` Redis command unlink.
    `RedisAPI` | `unlink(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command unlink.
    `RedisAPI` | `unsubscribe(List<String> args)` Redis command unsubscribe.
    `RedisAPI` | `unsubscribe(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command unsubscribe.
    `RedisAPI` | `unwatch()` Redis command unwatch.
    `RedisAPI` | `unwatch(Handler<AsyncResult<Response>> handler)` Redis command unwatch.
    `RedisAPI` | `wait(String arg0, String arg1)` Redis command wait.
    `RedisAPI` | `wait(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command wait.
    `RedisAPI` | `watch(List<String> args)` Redis command watch.
    `RedisAPI` | `watch(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command watch.
    `RedisAPI` | `xack(List<String> args)` Redis command xack.
    `RedisAPI` | `xack(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xack.
    `RedisAPI` | `xadd(List<String> args)` Redis command xadd.
    `RedisAPI` | `xadd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xadd.
    `RedisAPI` | `xclaim(List<String> args)` Redis command xclaim.
    `RedisAPI` | `xclaim(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xclaim.
    `RedisAPI` | `xdel(List<String> args)` Redis command xdel.
    `RedisAPI` | `xdel(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xdel.
    `RedisAPI` | `xgroup(List<String> args)` Redis command xgroup.
    `RedisAPI` | `xgroup(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xgroup.
    `RedisAPI` | `xinfo(List<String> args)` Redis command xinfo.
    `RedisAPI` | `xinfo(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xinfo.
    `RedisAPI` | `xlen(String arg0)` Redis command xlen.
    `RedisAPI` | `xlen(String arg0, Handler<AsyncResult<Response>> handler)` Redis command xlen.
    `RedisAPI` | `xpending(List<String> args)` Redis command xpending.
    `RedisAPI` | `xpending(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xpending.
    `RedisAPI` | `xrange(List<String> args)` Redis command xrange.
    `RedisAPI` | `xrange(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xrange.
    `RedisAPI` | `xread(List<String> args)` Redis command xread.
    `RedisAPI` | `xread(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xread.
    `RedisAPI` | `xreadgroup(List<String> args)` Redis command xreadgroup.
    `RedisAPI` | `xreadgroup(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xreadgroup.
    `RedisAPI` | `xrevrange(List<String> args)` Redis command xrevrange.
    `RedisAPI` | `xrevrange(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xrevrange.
    `RedisAPI` | `xsetid(String arg0, String arg1)` Redis command xsetid.
    `RedisAPI` | `xsetid(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command xsetid.
    `RedisAPI` | `xtrim(List<String> args)` Redis command xtrim.
    `RedisAPI` | `xtrim(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command xtrim.
    `RedisAPI` | `zadd(List<String> args)` Redis command zadd.
    `RedisAPI` | `zadd(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zadd.
    `RedisAPI` | `zcard(String arg0)` Redis command zcard.
    `RedisAPI` | `zcard(String arg0, Handler<AsyncResult<Response>> handler)` Redis command zcard.
    `RedisAPI` | `zcount(String arg0, String arg1, String arg2)` Redis command zcount.
    `RedisAPI` | `zcount(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command zcount.
    `RedisAPI` | `zincrby(String arg0, String arg1, String arg2)` Redis command zincrby.
    `RedisAPI` | `zincrby(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command zincrby.
    `RedisAPI` | `zinterstore(List<String> args)` Redis command zinterstore.
    `RedisAPI` | `zinterstore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zinterstore.
    `RedisAPI` | `zlexcount(String arg0, String arg1, String arg2)` Redis command zlexcount.
    `RedisAPI` | `zlexcount(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command zlexcount.
    `RedisAPI` | `zpopmax(List<String> args)` Redis command zpopmax.
    `RedisAPI` | `zpopmax(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zpopmax.
    `RedisAPI` | `zpopmin(List<String> args)` Redis command zpopmin.
    `RedisAPI` | `zpopmin(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zpopmin.
    `RedisAPI` | `zrange(List<String> args)` Redis command zrange.
    `RedisAPI` | `zrange(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zrange.
    `RedisAPI` | `zrangebylex(List<String> args)` Redis command zrangebylex.
    `RedisAPI` | `zrangebylex(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zrangebylex.
    `RedisAPI` | `zrangebyscore(List<String> args)` Redis command zrangebyscore.
    `RedisAPI` | `zrangebyscore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zrangebyscore.
    `RedisAPI` | `zrank(String arg0, String arg1)` Redis command zrank.
    `RedisAPI` | `zrank(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command zrank.
    `RedisAPI` | `zrem(List<String> args)` Redis command zrem.
    `RedisAPI` | `zrem(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zrem.
    `RedisAPI` | `zremrangebylex(String arg0, String arg1, String arg2)` Redis command zremrangebylex.
    `RedisAPI` | `zremrangebylex(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command zremrangebylex.
    `RedisAPI` | `zremrangebyrank(String arg0, String arg1, String arg2)` Redis command zremrangebyrank.
    `RedisAPI` | `zremrangebyrank(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command zremrangebyrank.
    `RedisAPI` | `zremrangebyscore(String arg0, String arg1, String arg2)` Redis command zremrangebyscore.
    `RedisAPI` | `zremrangebyscore(String arg0, String arg1, String arg2, Handler<AsyncResult<Response>> handler)` Redis command zremrangebyscore.
    `RedisAPI` | `zrevrange(List<String> args)` Redis command zrevrange.
    `RedisAPI` | `zrevrange(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zrevrange.
    `RedisAPI` | `zrevrangebylex(List<String> args)` Redis command zrevrangebylex.
    `RedisAPI` | `zrevrangebylex(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zrevrangebylex.
    `RedisAPI` | `zrevrangebyscore(List<String> args)` Redis command zrevrangebyscore.
    `RedisAPI` | `zrevrangebyscore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zrevrangebyscore.
    `RedisAPI` | `zrevrank(String arg0, String arg1)` Redis command zrevrank.
    `RedisAPI` | `zrevrank(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command zrevrank.
    `RedisAPI` | `zscan(List<String> args)` Redis command zscan.
    `RedisAPI` | `zscan(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zscan.
    `RedisAPI` | `zscore(String arg0, String arg1)` Redis command zscore.
    `RedisAPI` | `zscore(String arg0, String arg1, Handler<AsyncResult<Response>> handler)` Redis command zscore.
    `RedisAPI` | `zunionstore(List<String> args)` Redis command zunionstore.
    `RedisAPI` | `zunionstore(List<String> args, Handler<AsyncResult<Response>> handler)` Redis command zunionstore.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RedisAPI> __TYPE_ARG

  - ### Constructor Detail

    - #### RedisAPI

          public RedisAPI(RedisAPI delegate)

    - #### RedisAPI

          public RedisAPI(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RedisAPI getDelegate()

    - #### close

          public void close()

    - #### acl

          public RedisAPI acl(List<String> args,
                              Handler<AsyncResult<Response>> handler)

      Redis command acl.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### acl

          public RedisAPI acl(List<String> args)

      Redis command acl.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxAcl

          public Single<Response> rxAcl(List<String> args)

      Redis command acl.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### append

          public RedisAPI append(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command append.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### append

          public RedisAPI append(String arg0,
                                 String arg1)

      Redis command append.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxAppend

          public Single<Response> rxAppend(String arg0,
                                           String arg1)

      Redis command append.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### asking

          public RedisAPI asking(Handler<AsyncResult<Response>> handler)

      Redis command asking.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### asking

          public RedisAPI asking()

      Redis command asking.
      Returns:
        fluent self

    - #### rxAsking

          public Single<Response> rxAsking()

      Redis command asking.
      Returns:
        fluent self

    - #### auth

          public RedisAPI auth(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command auth.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### auth

          public RedisAPI auth(List<String> args)

      Redis command auth.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxAuth

          public Single<Response> rxAuth(List<String> args)

      Redis command auth.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bgrewriteaof

          public RedisAPI bgrewriteaof(Handler<AsyncResult<Response>> handler)

      Redis command bgrewriteaof.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### bgrewriteaof

          public RedisAPI bgrewriteaof()

      Redis command bgrewriteaof.
      Returns:
        fluent self

    - #### rxBgrewriteaof

          public Single<Response> rxBgrewriteaof()

      Redis command bgrewriteaof.
      Returns:
        fluent self

    - #### bgsave

          public RedisAPI bgsave(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command bgsave.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bgsave

          public RedisAPI bgsave(List<String> args)

      Redis command bgsave.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBgsave

          public Single<Response> rxBgsave(List<String> args)

      Redis command bgsave.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bitcount

          public RedisAPI bitcount(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command bitcount.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bitcount

          public RedisAPI bitcount(List<String> args)

      Redis command bitcount.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBitcount

          public Single<Response> rxBitcount(List<String> args)

      Redis command bitcount.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bitfield

          public RedisAPI bitfield(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command bitfield.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bitfield

          public RedisAPI bitfield(List<String> args)

      Redis command bitfield.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBitfield

          public Single<Response> rxBitfield(List<String> args)

      Redis command bitfield.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bitfieldRo

          public RedisAPI bitfieldRo(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command bitfieldRo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bitfieldRo

          public RedisAPI bitfieldRo(List<String> args)

      Redis command bitfieldRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBitfieldRo

          public Single<Response> rxBitfieldRo(List<String> args)

      Redis command bitfieldRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bitop

          public RedisAPI bitop(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command bitop.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bitop

          public RedisAPI bitop(List<String> args)

      Redis command bitop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBitop

          public Single<Response> rxBitop(List<String> args)

      Redis command bitop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bitpos

          public RedisAPI bitpos(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command bitpos.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bitpos

          public RedisAPI bitpos(List<String> args)

      Redis command bitpos.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBitpos

          public Single<Response> rxBitpos(List<String> args)

      Redis command bitpos.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### blpop

          public RedisAPI blpop(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command blpop.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### blpop

          public RedisAPI blpop(List<String> args)

      Redis command blpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBlpop

          public Single<Response> rxBlpop(List<String> args)

      Redis command blpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### brpop

          public RedisAPI brpop(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command brpop.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### brpop

          public RedisAPI brpop(List<String> args)

      Redis command brpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBrpop

          public Single<Response> rxBrpop(List<String> args)

      Redis command brpop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### brpoplpush

          public RedisAPI brpoplpush(String arg0,
                                     String arg1,
                                     String arg2,
                                     Handler<AsyncResult<Response>> handler)

      Redis command brpoplpush.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### brpoplpush

          public RedisAPI brpoplpush(String arg0,
                                     String arg1,
                                     String arg2)

      Redis command brpoplpush.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxBrpoplpush

          public Single<Response> rxBrpoplpush(String arg0,
                                               String arg1,
                                               String arg2)

      Redis command brpoplpush.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### bzpopmax

          public RedisAPI bzpopmax(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command bzpopmax.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bzpopmax

          public RedisAPI bzpopmax(List<String> args)

      Redis command bzpopmax.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBzpopmax

          public Single<Response> rxBzpopmax(List<String> args)

      Redis command bzpopmax.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### bzpopmin

          public RedisAPI bzpopmin(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command bzpopmin.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### bzpopmin

          public RedisAPI bzpopmin(List<String> args)

      Redis command bzpopmin.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxBzpopmin

          public Single<Response> rxBzpopmin(List<String> args)

      Redis command bzpopmin.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### client

          public RedisAPI client(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command client.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### client

          public RedisAPI client(List<String> args)

      Redis command client.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxClient

          public Single<Response> rxClient(List<String> args)

      Redis command client.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### cluster

          public RedisAPI cluster(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command cluster.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### cluster

          public RedisAPI cluster(List<String> args)

      Redis command cluster.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCluster

          public Single<Response> rxCluster(List<String> args)

      Redis command cluster.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### command

          public RedisAPI command(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command command.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### command

          public RedisAPI command(List<String> args)

      Redis command command.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxCommand

          public Single<Response> rxCommand(List<String> args)

      Redis command command.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### config

          public RedisAPI config(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command config.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### config

          public RedisAPI config(List<String> args)

      Redis command config.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxConfig

          public Single<Response> rxConfig(List<String> args)

      Redis command config.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### dbsize

          public RedisAPI dbsize(Handler<AsyncResult<Response>> handler)

      Redis command dbsize.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### dbsize

          public RedisAPI dbsize()

      Redis command dbsize.
      Returns:
        fluent self

    - #### rxDbsize

          public Single<Response> rxDbsize()

      Redis command dbsize.
      Returns:
        fluent self

    - #### debug

          public RedisAPI debug(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command debug.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### debug

          public RedisAPI debug(List<String> args)

      Redis command debug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxDebug

          public Single<Response> rxDebug(List<String> args)

      Redis command debug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### decr

          public RedisAPI decr(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command decr.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### decr

          public RedisAPI decr(String arg0)

      Redis command decr.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxDecr

          public Single<Response> rxDecr(String arg0)

      Redis command decr.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### decrby

          public RedisAPI decrby(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command decrby.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### decrby

          public RedisAPI decrby(String arg0,
                                 String arg1)

      Redis command decrby.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxDecrby

          public Single<Response> rxDecrby(String arg0,
                                           String arg1)

      Redis command decrby.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### del

          public RedisAPI del(List<String> args,
                              Handler<AsyncResult<Response>> handler)

      Redis command del.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### del

          public RedisAPI del(List<String> args)

      Redis command del.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxDel

          public Single<Response> rxDel(List<String> args)

      Redis command del.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### discard

          public RedisAPI discard(Handler<AsyncResult<Response>> handler)

      Redis command discard.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### discard

          public RedisAPI discard()

      Redis command discard.
      Returns:
        fluent self

    - #### rxDiscard

          public Single<Response> rxDiscard()

      Redis command discard.
      Returns:
        fluent self

    - #### dump

          public RedisAPI dump(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command dump.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### dump

          public RedisAPI dump(String arg0)

      Redis command dump.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxDump

          public Single<Response> rxDump(String arg0)

      Redis command dump.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### echo

          public RedisAPI echo(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command echo.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### echo

          public RedisAPI echo(String arg0)

      Redis command echo.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxEcho

          public Single<Response> rxEcho(String arg0)

      Redis command echo.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### eval

          public RedisAPI eval(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command eval.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### eval

          public RedisAPI eval(List<String> args)

      Redis command eval.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxEval

          public Single<Response> rxEval(List<String> args)

      Redis command eval.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### evalsha

          public RedisAPI evalsha(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command evalsha.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### evalsha

          public RedisAPI evalsha(List<String> args)

      Redis command evalsha.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxEvalsha

          public Single<Response> rxEvalsha(List<String> args)

      Redis command evalsha.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### exec

          public RedisAPI exec(Handler<AsyncResult<Response>> handler)

      Redis command exec.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### exec

          public RedisAPI exec()

      Redis command exec.
      Returns:
        fluent self

    - #### rxExec

          public Single<Response> rxExec()

      Redis command exec.
      Returns:
        fluent self

    - #### exists

          public RedisAPI exists(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command exists.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### exists

          public RedisAPI exists(List<String> args)

      Redis command exists.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxExists

          public Single<Response> rxExists(List<String> args)

      Redis command exists.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### expire

          public RedisAPI expire(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command expire.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### expire

          public RedisAPI expire(String arg0,
                                 String arg1)

      Redis command expire.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxExpire

          public Single<Response> rxExpire(String arg0,
                                           String arg1)

      Redis command expire.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### expireat

          public RedisAPI expireat(String arg0,
                                   String arg1,
                                   Handler<AsyncResult<Response>> handler)

      Redis command expireat.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### expireat

          public RedisAPI expireat(String arg0,
                                   String arg1)

      Redis command expireat.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxExpireat

          public Single<Response> rxExpireat(String arg0,
                                             String arg1)

      Redis command expireat.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### flushall

          public RedisAPI flushall(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command flushall.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### flushall

          public RedisAPI flushall(List<String> args)

      Redis command flushall.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFlushall

          public Single<Response> rxFlushall(List<String> args)

      Redis command flushall.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### flushdb

          public RedisAPI flushdb(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command flushdb.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### flushdb

          public RedisAPI flushdb(List<String> args)

      Redis command flushdb.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxFlushdb

          public Single<Response> rxFlushdb(List<String> args)

      Redis command flushdb.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### geoadd

          public RedisAPI geoadd(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command geoadd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### geoadd

          public RedisAPI geoadd(List<String> args)

      Redis command geoadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeoadd

          public Single<Response> rxGeoadd(List<String> args)

      Redis command geoadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### geodist

          public RedisAPI geodist(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command geodist.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### geodist

          public RedisAPI geodist(List<String> args)

      Redis command geodist.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeodist

          public Single<Response> rxGeodist(List<String> args)

      Redis command geodist.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### geohash

          public RedisAPI geohash(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command geohash.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### geohash

          public RedisAPI geohash(List<String> args)

      Redis command geohash.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeohash

          public Single<Response> rxGeohash(List<String> args)

      Redis command geohash.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### geopos

          public RedisAPI geopos(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command geopos.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### geopos

          public RedisAPI geopos(List<String> args)

      Redis command geopos.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeopos

          public Single<Response> rxGeopos(List<String> args)

      Redis command geopos.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### georadius

          public RedisAPI georadius(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command georadius.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### georadius

          public RedisAPI georadius(List<String> args)

      Redis command georadius.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeoradius

          public Single<Response> rxGeoradius(List<String> args)

      Redis command georadius.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### georadiusRo

          public RedisAPI georadiusRo(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command georadiusRo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### georadiusRo

          public RedisAPI georadiusRo(List<String> args)

      Redis command georadiusRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeoradiusRo

          public Single<Response> rxGeoradiusRo(List<String> args)

      Redis command georadiusRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### georadiusbymember

          public RedisAPI georadiusbymember(List<String> args,
                                            Handler<AsyncResult<Response>> handler)

      Redis command georadiusbymember.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### georadiusbymember

          public RedisAPI georadiusbymember(List<String> args)

      Redis command georadiusbymember.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeoradiusbymember

          public Single<Response> rxGeoradiusbymember(List<String> args)

      Redis command georadiusbymember.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### georadiusbymemberRo

          public RedisAPI georadiusbymemberRo(List<String> args,
                                              Handler<AsyncResult<Response>> handler)

      Redis command georadiusbymemberRo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### georadiusbymemberRo

          public RedisAPI georadiusbymemberRo(List<String> args)

      Redis command georadiusbymemberRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxGeoradiusbymemberRo

          public Single<Response> rxGeoradiusbymemberRo(List<String> args)

      Redis command georadiusbymemberRo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### get

          public RedisAPI get(String arg0,
                              Handler<AsyncResult<Response>> handler)

      Redis command get.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### get

          public RedisAPI get(String arg0)

      Redis command get.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxGet

          public Single<Response> rxGet(String arg0)

      Redis command get.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### getbit

          public RedisAPI getbit(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command getbit.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### getbit

          public RedisAPI getbit(String arg0,
                                 String arg1)

      Redis command getbit.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxGetbit

          public Single<Response> rxGetbit(String arg0,
                                           String arg1)

      Redis command getbit.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### getrange

          public RedisAPI getrange(String arg0,
                                   String arg1,
                                   String arg2,
                                   Handler<AsyncResult<Response>> handler)

      Redis command getrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### getrange

          public RedisAPI getrange(String arg0,
                                   String arg1,
                                   String arg2)

      Redis command getrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxGetrange

          public Single<Response> rxGetrange(String arg0,
                                             String arg1,
                                             String arg2)

      Redis command getrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### getset

          public RedisAPI getset(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command getset.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### getset

          public RedisAPI getset(String arg0,
                                 String arg1)

      Redis command getset.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxGetset

          public Single<Response> rxGetset(String arg0,
                                           String arg1)

      Redis command getset.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### hdel

          public RedisAPI hdel(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command hdel.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### hdel

          public RedisAPI hdel(List<String> args)

      Redis command hdel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxHdel

          public Single<Response> rxHdel(List<String> args)

      Redis command hdel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### hello

          public RedisAPI hello(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command hello.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### hello

          public RedisAPI hello(List<String> args)

      Redis command hello.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxHello

          public Single<Response> rxHello(List<String> args)

      Redis command hello.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### hexists

          public RedisAPI hexists(String arg0,
                                  String arg1,
                                  Handler<AsyncResult<Response>> handler)

      Redis command hexists.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### hexists

          public RedisAPI hexists(String arg0,
                                  String arg1)

      Redis command hexists.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxHexists

          public Single<Response> rxHexists(String arg0,
                                            String arg1)

      Redis command hexists.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### hget

          public RedisAPI hget(String arg0,
                               String arg1,
                               Handler<AsyncResult<Response>> handler)

      Redis command hget.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### hget

          public RedisAPI hget(String arg0,
                               String arg1)

      Redis command hget.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxHget

          public Single<Response> rxHget(String arg0,
                                         String arg1)

      Redis command hget.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### hgetall

          public RedisAPI hgetall(String arg0,
                                  Handler<AsyncResult<Response>> handler)

      Redis command hgetall.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### hgetall

          public RedisAPI hgetall(String arg0)

      Redis command hgetall.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxHgetall

          public Single<Response> rxHgetall(String arg0)

      Redis command hgetall.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### hincrby

          public RedisAPI hincrby(String arg0,
                                  String arg1,
                                  String arg2,
                                  Handler<AsyncResult<Response>> handler)

      Redis command hincrby.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### hincrby

          public RedisAPI hincrby(String arg0,
                                  String arg1,
                                  String arg2)

      Redis command hincrby.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxHincrby

          public Single<Response> rxHincrby(String arg0,
                                            String arg1,
                                            String arg2)

      Redis command hincrby.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### hincrbyfloat

          public RedisAPI hincrbyfloat(String arg0,
                                       String arg1,
                                       String arg2,
                                       Handler<AsyncResult<Response>> handler)

      Redis command hincrbyfloat.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### hincrbyfloat

          public RedisAPI hincrbyfloat(String arg0,
                                       String arg1,
                                       String arg2)

      Redis command hincrbyfloat.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxHincrbyfloat

          public Single<Response> rxHincrbyfloat(String arg0,
                                                 String arg1,
                                                 String arg2)

      Redis command hincrbyfloat.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### hkeys

          public RedisAPI hkeys(String arg0,
                                Handler<AsyncResult<Response>> handler)

      Redis command hkeys.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### hkeys

          public RedisAPI hkeys(String arg0)

      Redis command hkeys.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxHkeys

          public Single<Response> rxHkeys(String arg0)

      Redis command hkeys.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### hlen

          public RedisAPI hlen(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command hlen.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### hlen

          public RedisAPI hlen(String arg0)

      Redis command hlen.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxHlen

          public Single<Response> rxHlen(String arg0)

      Redis command hlen.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### hmget

          public RedisAPI hmget(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command hmget.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### hmget

          public RedisAPI hmget(List<String> args)

      Redis command hmget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxHmget

          public Single<Response> rxHmget(List<String> args)

      Redis command hmget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### hmset

          public RedisAPI hmset(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command hmset.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### hmset

          public RedisAPI hmset(List<String> args)

      Redis command hmset.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxHmset

          public Single<Response> rxHmset(List<String> args)

      Redis command hmset.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### host

          public RedisAPI host(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command host.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### host

          public RedisAPI host(List<String> args)

      Redis command host.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxHost

          public Single<Response> rxHost(List<String> args)

      Redis command host.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### hscan

          public RedisAPI hscan(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command hscan.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### hscan

          public RedisAPI hscan(List<String> args)

      Redis command hscan.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxHscan

          public Single<Response> rxHscan(List<String> args)

      Redis command hscan.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### hset

          public RedisAPI hset(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command hset.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### hset

          public RedisAPI hset(List<String> args)

      Redis command hset.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxHset

          public Single<Response> rxHset(List<String> args)

      Redis command hset.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### hsetnx

          public RedisAPI hsetnx(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

      Redis command hsetnx.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### hsetnx

          public RedisAPI hsetnx(String arg0,
                                 String arg1,
                                 String arg2)

      Redis command hsetnx.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxHsetnx

          public Single<Response> rxHsetnx(String arg0,
                                           String arg1,
                                           String arg2)

      Redis command hsetnx.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### hstrlen

          public RedisAPI hstrlen(String arg0,
                                  String arg1,
                                  Handler<AsyncResult<Response>> handler)

      Redis command hstrlen.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### hstrlen

          public RedisAPI hstrlen(String arg0,
                                  String arg1)

      Redis command hstrlen.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxHstrlen

          public Single<Response> rxHstrlen(String arg0,
                                            String arg1)

      Redis command hstrlen.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### hvals

          public RedisAPI hvals(String arg0,
                                Handler<AsyncResult<Response>> handler)

      Redis command hvals.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### hvals

          public RedisAPI hvals(String arg0)

      Redis command hvals.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxHvals

          public Single<Response> rxHvals(String arg0)

      Redis command hvals.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### incr

          public RedisAPI incr(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command incr.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### incr

          public RedisAPI incr(String arg0)

      Redis command incr.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxIncr

          public Single<Response> rxIncr(String arg0)

      Redis command incr.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### incrby

          public RedisAPI incrby(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command incrby.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### incrby

          public RedisAPI incrby(String arg0,
                                 String arg1)

      Redis command incrby.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxIncrby

          public Single<Response> rxIncrby(String arg0,
                                           String arg1)

      Redis command incrby.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### incrbyfloat

          public RedisAPI incrbyfloat(String arg0,
                                      String arg1,
                                      Handler<AsyncResult<Response>> handler)

      Redis command incrbyfloat.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### incrbyfloat

          public RedisAPI incrbyfloat(String arg0,
                                      String arg1)

      Redis command incrbyfloat.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxIncrbyfloat

          public Single<Response> rxIncrbyfloat(String arg0,
                                                String arg1)

      Redis command incrbyfloat.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### info

          public RedisAPI info(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command info.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### info

          public RedisAPI info(List<String> args)

      Redis command info.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxInfo

          public Single<Response> rxInfo(List<String> args)

      Redis command info.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### keys

          public RedisAPI keys(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command keys.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### keys

          public RedisAPI keys(String arg0)

      Redis command keys.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxKeys

          public Single<Response> rxKeys(String arg0)

      Redis command keys.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### lastsave

          public RedisAPI lastsave(Handler<AsyncResult<Response>> handler)

      Redis command lastsave.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### lastsave

          public RedisAPI lastsave()

      Redis command lastsave.
      Returns:
        fluent self

    - #### rxLastsave

          public Single<Response> rxLastsave()

      Redis command lastsave.
      Returns:
        fluent self

    - #### latency

          public RedisAPI latency(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command latency.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### latency

          public RedisAPI latency(List<String> args)

      Redis command latency.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxLatency

          public Single<Response> rxLatency(List<String> args)

      Redis command latency.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### lindex

          public RedisAPI lindex(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command lindex.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### lindex

          public RedisAPI lindex(String arg0,
                                 String arg1)

      Redis command lindex.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxLindex

          public Single<Response> rxLindex(String arg0,
                                           String arg1)

      Redis command lindex.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### linsert

          public RedisAPI linsert(String arg0,
                                  String arg1,
                                  String arg2,
                                  String arg3,
                                  Handler<AsyncResult<Response>> handler)

      Redis command linsert.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
        `handler` -
      Returns:
        fluent self

    - #### linsert

          public RedisAPI linsert(String arg0,
                                  String arg1,
                                  String arg2,
                                  String arg3)

      Redis command linsert.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
      Returns:
        fluent self

    - #### rxLinsert

          public Single<Response> rxLinsert(String arg0,
                                            String arg1,
                                            String arg2,
                                            String arg3)

      Redis command linsert.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `arg3` -
      Returns:
        fluent self

    - #### llen

          public RedisAPI llen(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command llen.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### llen

          public RedisAPI llen(String arg0)

      Redis command llen.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxLlen

          public Single<Response> rxLlen(String arg0)

      Redis command llen.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### lolwut

          public RedisAPI lolwut(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command lolwut.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### lolwut

          public RedisAPI lolwut(List<String> args)

      Redis command lolwut.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxLolwut

          public Single<Response> rxLolwut(List<String> args)

      Redis command lolwut.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### lpop

          public RedisAPI lpop(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command lpop.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### lpop

          public RedisAPI lpop(String arg0)

      Redis command lpop.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxLpop

          public Single<Response> rxLpop(String arg0)

      Redis command lpop.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### lpush

          public RedisAPI lpush(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command lpush.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### lpush

          public RedisAPI lpush(List<String> args)

      Redis command lpush.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxLpush

          public Single<Response> rxLpush(List<String> args)

      Redis command lpush.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### lpushx

          public RedisAPI lpushx(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command lpushx.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### lpushx

          public RedisAPI lpushx(List<String> args)

      Redis command lpushx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxLpushx

          public Single<Response> rxLpushx(List<String> args)

      Redis command lpushx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### lrange

          public RedisAPI lrange(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

      Redis command lrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### lrange

          public RedisAPI lrange(String arg0,
                                 String arg1,
                                 String arg2)

      Redis command lrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxLrange

          public Single<Response> rxLrange(String arg0,
                                           String arg1,
                                           String arg2)

      Redis command lrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### lrem

          public RedisAPI lrem(String arg0,
                               String arg1,
                               String arg2,
                               Handler<AsyncResult<Response>> handler)

      Redis command lrem.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### lrem

          public RedisAPI lrem(String arg0,
                               String arg1,
                               String arg2)

      Redis command lrem.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxLrem

          public Single<Response> rxLrem(String arg0,
                                         String arg1,
                                         String arg2)

      Redis command lrem.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### lset

          public RedisAPI lset(String arg0,
                               String arg1,
                               String arg2,
                               Handler<AsyncResult<Response>> handler)

      Redis command lset.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### lset

          public RedisAPI lset(String arg0,
                               String arg1,
                               String arg2)

      Redis command lset.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxLset

          public Single<Response> rxLset(String arg0,
                                         String arg1,
                                         String arg2)

      Redis command lset.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### ltrim

          public RedisAPI ltrim(String arg0,
                                String arg1,
                                String arg2,
                                Handler<AsyncResult<Response>> handler)

      Redis command ltrim.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### ltrim

          public RedisAPI ltrim(String arg0,
                                String arg1,
                                String arg2)

      Redis command ltrim.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxLtrim

          public Single<Response> rxLtrim(String arg0,
                                          String arg1,
                                          String arg2)

      Redis command ltrim.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### memory

          public RedisAPI memory(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command memory.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### memory

          public RedisAPI memory(List<String> args)

      Redis command memory.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxMemory

          public Single<Response> rxMemory(List<String> args)

      Redis command memory.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### mget

          public RedisAPI mget(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command mget.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### mget

          public RedisAPI mget(List<String> args)

      Redis command mget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxMget

          public Single<Response> rxMget(List<String> args)

      Redis command mget.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### migrate

          public RedisAPI migrate(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command migrate.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### migrate

          public RedisAPI migrate(List<String> args)

      Redis command migrate.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxMigrate

          public Single<Response> rxMigrate(List<String> args)

      Redis command migrate.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### module

          public RedisAPI module(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command module.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### module

          public RedisAPI module(List<String> args)

      Redis command module.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxModule

          public Single<Response> rxModule(List<String> args)

      Redis command module.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### monitor

          public RedisAPI monitor(Handler<AsyncResult<Response>> handler)

      Redis command monitor.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### monitor

          public RedisAPI monitor()

      Redis command monitor.
      Returns:
        fluent self

    - #### rxMonitor

          public Single<Response> rxMonitor()

      Redis command monitor.
      Returns:
        fluent self

    - #### move

          public RedisAPI move(String arg0,
                               String arg1,
                               Handler<AsyncResult<Response>> handler)

      Redis command move.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### move

          public RedisAPI move(String arg0,
                               String arg1)

      Redis command move.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxMove

          public Single<Response> rxMove(String arg0,
                                         String arg1)

      Redis command move.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### mset

          public RedisAPI mset(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command mset.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### mset

          public RedisAPI mset(List<String> args)

      Redis command mset.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxMset

          public Single<Response> rxMset(List<String> args)

      Redis command mset.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### msetnx

          public RedisAPI msetnx(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command msetnx.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### msetnx

          public RedisAPI msetnx(List<String> args)

      Redis command msetnx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxMsetnx

          public Single<Response> rxMsetnx(List<String> args)

      Redis command msetnx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### multi

          public RedisAPI multi(Handler<AsyncResult<Response>> handler)

      Redis command multi.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### multi

          public RedisAPI multi()

      Redis command multi.
      Returns:
        fluent self

    - #### rxMulti

          public Single<Response> rxMulti()

      Redis command multi.
      Returns:
        fluent self

    - #### object

          public RedisAPI object(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command object.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### object

          public RedisAPI object(List<String> args)

      Redis command object.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxObject

          public Single<Response> rxObject(List<String> args)

      Redis command object.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### persist

          public RedisAPI persist(String arg0,
                                  Handler<AsyncResult<Response>> handler)

      Redis command persist.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### persist

          public RedisAPI persist(String arg0)

      Redis command persist.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxPersist

          public Single<Response> rxPersist(String arg0)

      Redis command persist.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### pexpire

          public RedisAPI pexpire(String arg0,
                                  String arg1,
                                  Handler<AsyncResult<Response>> handler)

      Redis command pexpire.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### pexpire

          public RedisAPI pexpire(String arg0,
                                  String arg1)

      Redis command pexpire.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxPexpire

          public Single<Response> rxPexpire(String arg0,
                                            String arg1)

      Redis command pexpire.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### pexpireat

          public RedisAPI pexpireat(String arg0,
                                    String arg1,
                                    Handler<AsyncResult<Response>> handler)

      Redis command pexpireat.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### pexpireat

          public RedisAPI pexpireat(String arg0,
                                    String arg1)

      Redis command pexpireat.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxPexpireat

          public Single<Response> rxPexpireat(String arg0,
                                              String arg1)

      Redis command pexpireat.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### pfadd

          public RedisAPI pfadd(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command pfadd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### pfadd

          public RedisAPI pfadd(List<String> args)

      Redis command pfadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPfadd

          public Single<Response> rxPfadd(List<String> args)

      Redis command pfadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### pfcount

          public RedisAPI pfcount(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command pfcount.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### pfcount

          public RedisAPI pfcount(List<String> args)

      Redis command pfcount.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPfcount

          public Single<Response> rxPfcount(List<String> args)

      Redis command pfcount.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### pfdebug

          public RedisAPI pfdebug(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command pfdebug.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### pfdebug

          public RedisAPI pfdebug(List<String> args)

      Redis command pfdebug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPfdebug

          public Single<Response> rxPfdebug(List<String> args)

      Redis command pfdebug.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### pfmerge

          public RedisAPI pfmerge(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command pfmerge.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### pfmerge

          public RedisAPI pfmerge(List<String> args)

      Redis command pfmerge.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPfmerge

          public Single<Response> rxPfmerge(List<String> args)

      Redis command pfmerge.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### pfselftest

          public RedisAPI pfselftest(Handler<AsyncResult<Response>> handler)

      Redis command pfselftest.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### pfselftest

          public RedisAPI pfselftest()

      Redis command pfselftest.
      Returns:
        fluent self

    - #### rxPfselftest

          public Single<Response> rxPfselftest()

      Redis command pfselftest.
      Returns:
        fluent self

    - #### ping

          public RedisAPI ping(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command ping.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### ping

          public RedisAPI ping(List<String> args)

      Redis command ping.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPing

          public Single<Response> rxPing(List<String> args)

      Redis command ping.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### post

          public RedisAPI post(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command post.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### post

          public RedisAPI post(List<String> args)

      Redis command post.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPost

          public Single<Response> rxPost(List<String> args)

      Redis command post.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### psetex

          public RedisAPI psetex(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

      Redis command psetex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### psetex

          public RedisAPI psetex(String arg0,
                                 String arg1,
                                 String arg2)

      Redis command psetex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxPsetex

          public Single<Response> rxPsetex(String arg0,
                                           String arg1,
                                           String arg2)

      Redis command psetex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### psubscribe

          public RedisAPI psubscribe(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command psubscribe.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### psubscribe

          public RedisAPI psubscribe(List<String> args)

      Redis command psubscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPsubscribe

          public Single<Response> rxPsubscribe(List<String> args)

      Redis command psubscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### psync

          public RedisAPI psync(String arg0,
                                String arg1,
                                Handler<AsyncResult<Response>> handler)

      Redis command psync.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### psync

          public RedisAPI psync(String arg0,
                                String arg1)

      Redis command psync.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxPsync

          public Single<Response> rxPsync(String arg0,
                                          String arg1)

      Redis command psync.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### pttl

          public RedisAPI pttl(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command pttl.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### pttl

          public RedisAPI pttl(String arg0)

      Redis command pttl.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxPttl

          public Single<Response> rxPttl(String arg0)

      Redis command pttl.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### publish

          public RedisAPI publish(String arg0,
                                  String arg1,
                                  Handler<AsyncResult<Response>> handler)

      Redis command publish.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### publish

          public RedisAPI publish(String arg0,
                                  String arg1)

      Redis command publish.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxPublish

          public Single<Response> rxPublish(String arg0,
                                            String arg1)

      Redis command publish.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### pubsub

          public RedisAPI pubsub(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command pubsub.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### pubsub

          public RedisAPI pubsub(List<String> args)

      Redis command pubsub.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPubsub

          public Single<Response> rxPubsub(List<String> args)

      Redis command pubsub.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### punsubscribe

          public RedisAPI punsubscribe(List<String> args,
                                       Handler<AsyncResult<Response>> handler)

      Redis command punsubscribe.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### punsubscribe

          public RedisAPI punsubscribe(List<String> args)

      Redis command punsubscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxPunsubscribe

          public Single<Response> rxPunsubscribe(List<String> args)

      Redis command punsubscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### randomkey

          public RedisAPI randomkey(Handler<AsyncResult<Response>> handler)

      Redis command randomkey.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### randomkey

          public RedisAPI randomkey()

      Redis command randomkey.
      Returns:
        fluent self

    - #### rxRandomkey

          public Single<Response> rxRandomkey()

      Redis command randomkey.
      Returns:
        fluent self

    - #### readonly

          public RedisAPI readonly(Handler<AsyncResult<Response>> handler)

      Redis command readonly.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### readonly

          public RedisAPI readonly()

      Redis command readonly.
      Returns:
        fluent self

    - #### rxReadonly

          public Single<Response> rxReadonly()

      Redis command readonly.
      Returns:
        fluent self

    - #### readwrite

          public RedisAPI readwrite(Handler<AsyncResult<Response>> handler)

      Redis command readwrite.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### readwrite

          public RedisAPI readwrite()

      Redis command readwrite.
      Returns:
        fluent self

    - #### rxReadwrite

          public Single<Response> rxReadwrite()

      Redis command readwrite.
      Returns:
        fluent self

    - #### rename

          public RedisAPI rename(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command rename.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### rename

          public RedisAPI rename(String arg0,
                                 String arg1)

      Redis command rename.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxRename

          public Single<Response> rxRename(String arg0,
                                           String arg1)

      Redis command rename.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### renamenx

          public RedisAPI renamenx(String arg0,
                                   String arg1,
                                   Handler<AsyncResult<Response>> handler)

      Redis command renamenx.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### renamenx

          public RedisAPI renamenx(String arg0,
                                   String arg1)

      Redis command renamenx.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxRenamenx

          public Single<Response> rxRenamenx(String arg0,
                                             String arg1)

      Redis command renamenx.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### replconf

          public RedisAPI replconf(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command replconf.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### replconf

          public RedisAPI replconf(List<String> args)

      Redis command replconf.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxReplconf

          public Single<Response> rxReplconf(List<String> args)

      Redis command replconf.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### replicaof

          public RedisAPI replicaof(String arg0,
                                    String arg1,
                                    Handler<AsyncResult<Response>> handler)

      Redis command replicaof.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### replicaof

          public RedisAPI replicaof(String arg0,
                                    String arg1)

      Redis command replicaof.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxReplicaof

          public Single<Response> rxReplicaof(String arg0,
                                              String arg1)

      Redis command replicaof.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### restore

          public RedisAPI restore(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command restore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### restore

          public RedisAPI restore(List<String> args)

      Redis command restore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxRestore

          public Single<Response> rxRestore(List<String> args)

      Redis command restore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### restoreAsking

          public RedisAPI restoreAsking(List<String> args,
                                        Handler<AsyncResult<Response>> handler)

      Redis command restoreAsking.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### restoreAsking

          public RedisAPI restoreAsking(List<String> args)

      Redis command restoreAsking.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxRestoreAsking

          public Single<Response> rxRestoreAsking(List<String> args)

      Redis command restoreAsking.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### role

          public RedisAPI role(Handler<AsyncResult<Response>> handler)

      Redis command role.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### role

          public RedisAPI role()

      Redis command role.
      Returns:
        fluent self

    - #### rxRole

          public Single<Response> rxRole()

      Redis command role.
      Returns:
        fluent self

    - #### rpop

          public RedisAPI rpop(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command rpop.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### rpop

          public RedisAPI rpop(String arg0)

      Redis command rpop.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxRpop

          public Single<Response> rxRpop(String arg0)

      Redis command rpop.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rpoplpush

          public RedisAPI rpoplpush(String arg0,
                                    String arg1,
                                    Handler<AsyncResult<Response>> handler)

      Redis command rpoplpush.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### rpoplpush

          public RedisAPI rpoplpush(String arg0,
                                    String arg1)

      Redis command rpoplpush.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxRpoplpush

          public Single<Response> rxRpoplpush(String arg0,
                                              String arg1)

      Redis command rpoplpush.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rpush

          public RedisAPI rpush(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command rpush.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### rpush

          public RedisAPI rpush(List<String> args)

      Redis command rpush.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxRpush

          public Single<Response> rxRpush(List<String> args)

      Redis command rpush.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rpushx

          public RedisAPI rpushx(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command rpushx.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### rpushx

          public RedisAPI rpushx(List<String> args)

      Redis command rpushx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxRpushx

          public Single<Response> rxRpushx(List<String> args)

      Redis command rpushx.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sadd

          public RedisAPI sadd(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command sadd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sadd

          public RedisAPI sadd(List<String> args)

      Redis command sadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSadd

          public Single<Response> rxSadd(List<String> args)

      Redis command sadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### save

          public RedisAPI save(Handler<AsyncResult<Response>> handler)

      Redis command save.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### save

          public RedisAPI save()

      Redis command save.
      Returns:
        fluent self

    - #### rxSave

          public Single<Response> rxSave()

      Redis command save.
      Returns:
        fluent self

    - #### scan

          public RedisAPI scan(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command scan.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### scan

          public RedisAPI scan(List<String> args)

      Redis command scan.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxScan

          public Single<Response> rxScan(List<String> args)

      Redis command scan.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### scard

          public RedisAPI scard(String arg0,
                                Handler<AsyncResult<Response>> handler)

      Redis command scard.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### scard

          public RedisAPI scard(String arg0)

      Redis command scard.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxScard

          public Single<Response> rxScard(String arg0)

      Redis command scard.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### script

          public RedisAPI script(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command script.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### script

          public RedisAPI script(List<String> args)

      Redis command script.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxScript

          public Single<Response> rxScript(List<String> args)

      Redis command script.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sdiff

          public RedisAPI sdiff(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command sdiff.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sdiff

          public RedisAPI sdiff(List<String> args)

      Redis command sdiff.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSdiff

          public Single<Response> rxSdiff(List<String> args)

      Redis command sdiff.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sdiffstore

          public RedisAPI sdiffstore(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command sdiffstore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sdiffstore

          public RedisAPI sdiffstore(List<String> args)

      Redis command sdiffstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSdiffstore

          public Single<Response> rxSdiffstore(List<String> args)

      Redis command sdiffstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### select

          public RedisAPI select(String arg0,
                                 Handler<AsyncResult<Response>> handler)

      Redis command select.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### select

          public RedisAPI select(String arg0)

      Redis command select.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxSelect

          public Single<Response> rxSelect(String arg0)

      Redis command select.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### set

          public RedisAPI set(List<String> args,
                              Handler<AsyncResult<Response>> handler)

      Redis command set.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### set

          public RedisAPI set(List<String> args)

      Redis command set.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSet

          public Single<Response> rxSet(List<String> args)

      Redis command set.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### setbit

          public RedisAPI setbit(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

      Redis command setbit.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### setbit

          public RedisAPI setbit(String arg0,
                                 String arg1,
                                 String arg2)

      Redis command setbit.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxSetbit

          public Single<Response> rxSetbit(String arg0,
                                           String arg1,
                                           String arg2)

      Redis command setbit.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### setex

          public RedisAPI setex(String arg0,
                                String arg1,
                                String arg2,
                                Handler<AsyncResult<Response>> handler)

      Redis command setex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### setex

          public RedisAPI setex(String arg0,
                                String arg1,
                                String arg2)

      Redis command setex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxSetex

          public Single<Response> rxSetex(String arg0,
                                          String arg1,
                                          String arg2)

      Redis command setex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### setnx

          public RedisAPI setnx(String arg0,
                                String arg1,
                                Handler<AsyncResult<Response>> handler)

      Redis command setnx.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### setnx

          public RedisAPI setnx(String arg0,
                                String arg1)

      Redis command setnx.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxSetnx

          public Single<Response> rxSetnx(String arg0,
                                          String arg1)

      Redis command setnx.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### setrange

          public RedisAPI setrange(String arg0,
                                   String arg1,
                                   String arg2,
                                   Handler<AsyncResult<Response>> handler)

      Redis command setrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### setrange

          public RedisAPI setrange(String arg0,
                                   String arg1,
                                   String arg2)

      Redis command setrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxSetrange

          public Single<Response> rxSetrange(String arg0,
                                             String arg1,
                                             String arg2)

      Redis command setrange.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### shutdown

          public RedisAPI shutdown(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command shutdown.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### shutdown

          public RedisAPI shutdown(List<String> args)

      Redis command shutdown.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxShutdown

          public Single<Response> rxShutdown(List<String> args)

      Redis command shutdown.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sinter

          public RedisAPI sinter(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command sinter.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sinter

          public RedisAPI sinter(List<String> args)

      Redis command sinter.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSinter

          public Single<Response> rxSinter(List<String> args)

      Redis command sinter.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sinterstore

          public RedisAPI sinterstore(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command sinterstore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sinterstore

          public RedisAPI sinterstore(List<String> args)

      Redis command sinterstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSinterstore

          public Single<Response> rxSinterstore(List<String> args)

      Redis command sinterstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sismember

          public RedisAPI sismember(String arg0,
                                    String arg1,
                                    Handler<AsyncResult<Response>> handler)

      Redis command sismember.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### sismember

          public RedisAPI sismember(String arg0,
                                    String arg1)

      Redis command sismember.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxSismember

          public Single<Response> rxSismember(String arg0,
                                              String arg1)

      Redis command sismember.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### slaveof

          public RedisAPI slaveof(String arg0,
                                  String arg1,
                                  Handler<AsyncResult<Response>> handler)

      Redis command slaveof.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### slaveof

          public RedisAPI slaveof(String arg0,
                                  String arg1)

      Redis command slaveof.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxSlaveof

          public Single<Response> rxSlaveof(String arg0,
                                            String arg1)

      Redis command slaveof.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### slowlog

          public RedisAPI slowlog(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command slowlog.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### slowlog

          public RedisAPI slowlog(List<String> args)

      Redis command slowlog.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSlowlog

          public Single<Response> rxSlowlog(List<String> args)

      Redis command slowlog.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### smembers

          public RedisAPI smembers(String arg0,
                                   Handler<AsyncResult<Response>> handler)

      Redis command smembers.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### smembers

          public RedisAPI smembers(String arg0)

      Redis command smembers.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxSmembers

          public Single<Response> rxSmembers(String arg0)

      Redis command smembers.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### smove

          public RedisAPI smove(String arg0,
                                String arg1,
                                String arg2,
                                Handler<AsyncResult<Response>> handler)

      Redis command smove.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### smove

          public RedisAPI smove(String arg0,
                                String arg1,
                                String arg2)

      Redis command smove.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxSmove

          public Single<Response> rxSmove(String arg0,
                                          String arg1,
                                          String arg2)

      Redis command smove.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### sort

          public RedisAPI sort(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command sort.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sort

          public RedisAPI sort(List<String> args)

      Redis command sort.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSort

          public Single<Response> rxSort(List<String> args)

      Redis command sort.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### spop

          public RedisAPI spop(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command spop.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### spop

          public RedisAPI spop(List<String> args)

      Redis command spop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSpop

          public Single<Response> rxSpop(List<String> args)

      Redis command spop.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### srandmember

          public RedisAPI srandmember(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command srandmember.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### srandmember

          public RedisAPI srandmember(List<String> args)

      Redis command srandmember.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSrandmember

          public Single<Response> rxSrandmember(List<String> args)

      Redis command srandmember.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### srem

          public RedisAPI srem(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command srem.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### srem

          public RedisAPI srem(List<String> args)

      Redis command srem.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSrem

          public Single<Response> rxSrem(List<String> args)

      Redis command srem.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sscan

          public RedisAPI sscan(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command sscan.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sscan

          public RedisAPI sscan(List<String> args)

      Redis command sscan.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSscan

          public Single<Response> rxSscan(List<String> args)

      Redis command sscan.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### stralgo

          public RedisAPI stralgo(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command stralgo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### stralgo

          public RedisAPI stralgo(List<String> args)

      Redis command stralgo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxStralgo

          public Single<Response> rxStralgo(List<String> args)

      Redis command stralgo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### strlen

          public RedisAPI strlen(String arg0,
                                 Handler<AsyncResult<Response>> handler)

      Redis command strlen.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### strlen

          public RedisAPI strlen(String arg0)

      Redis command strlen.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxStrlen

          public Single<Response> rxStrlen(String arg0)

      Redis command strlen.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### subscribe

          public RedisAPI subscribe(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command subscribe.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### subscribe

          public RedisAPI subscribe(List<String> args)

      Redis command subscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSubscribe

          public Single<Response> rxSubscribe(List<String> args)

      Redis command subscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### substr

          public RedisAPI substr(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

      Redis command substr.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### substr

          public RedisAPI substr(String arg0,
                                 String arg1,
                                 String arg2)

      Redis command substr.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxSubstr

          public Single<Response> rxSubstr(String arg0,
                                           String arg1,
                                           String arg2)

      Redis command substr.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### sunion

          public RedisAPI sunion(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command sunion.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sunion

          public RedisAPI sunion(List<String> args)

      Redis command sunion.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSunion

          public Single<Response> rxSunion(List<String> args)

      Redis command sunion.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### sunionstore

          public RedisAPI sunionstore(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command sunionstore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### sunionstore

          public RedisAPI sunionstore(List<String> args)

      Redis command sunionstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxSunionstore

          public Single<Response> rxSunionstore(List<String> args)

      Redis command sunionstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### swapdb

          public RedisAPI swapdb(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command swapdb.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### swapdb

          public RedisAPI swapdb(String arg0,
                                 String arg1)

      Redis command swapdb.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxSwapdb

          public Single<Response> rxSwapdb(String arg0,
                                           String arg1)

      Redis command swapdb.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### sync

          public RedisAPI sync(Handler<AsyncResult<Response>> handler)

      Redis command sync.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### sync

          public RedisAPI sync()

      Redis command sync.
      Returns:
        fluent self

    - #### rxSync

          public Single<Response> rxSync()

      Redis command sync.
      Returns:
        fluent self

    - #### time

          public RedisAPI time(Handler<AsyncResult<Response>> handler)

      Redis command time.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### time

          public RedisAPI time()

      Redis command time.
      Returns:
        fluent self

    - #### rxTime

          public Single<Response> rxTime()

      Redis command time.
      Returns:
        fluent self

    - #### touch

          public RedisAPI touch(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command touch.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### touch

          public RedisAPI touch(List<String> args)

      Redis command touch.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxTouch

          public Single<Response> rxTouch(List<String> args)

      Redis command touch.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### ttl

          public RedisAPI ttl(String arg0,
                              Handler<AsyncResult<Response>> handler)

      Redis command ttl.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### ttl

          public RedisAPI ttl(String arg0)

      Redis command ttl.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxTtl

          public Single<Response> rxTtl(String arg0)

      Redis command ttl.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### type

          public RedisAPI type(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command type.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### type

          public RedisAPI type(String arg0)

      Redis command type.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxType

          public Single<Response> rxType(String arg0)

      Redis command type.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### unlink

          public RedisAPI unlink(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command unlink.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### unlink

          public RedisAPI unlink(List<String> args)

      Redis command unlink.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxUnlink

          public Single<Response> rxUnlink(List<String> args)

      Redis command unlink.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### unsubscribe

          public RedisAPI unsubscribe(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command unsubscribe.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### unsubscribe

          public RedisAPI unsubscribe(List<String> args)

      Redis command unsubscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxUnsubscribe

          public Single<Response> rxUnsubscribe(List<String> args)

      Redis command unsubscribe.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### unwatch

          public RedisAPI unwatch(Handler<AsyncResult<Response>> handler)

      Redis command unwatch.
      Parameters:
        `handler` -
      Returns:
        fluent self

    - #### unwatch

          public RedisAPI unwatch()

      Redis command unwatch.
      Returns:
        fluent self

    - #### rxUnwatch

          public Single<Response> rxUnwatch()

      Redis command unwatch.
      Returns:
        fluent self

    - #### wait

          public RedisAPI wait(String arg0,
                               String arg1,
                               Handler<AsyncResult<Response>> handler)

      Redis command wait.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### wait

          public RedisAPI wait(String arg0,
                               String arg1)

      Redis command wait.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxWait

          public Single<Response> rxWait(String arg0,
                                         String arg1)

      Redis command wait.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### watch

          public RedisAPI watch(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command watch.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### watch

          public RedisAPI watch(List<String> args)

      Redis command watch.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxWatch

          public Single<Response> rxWatch(List<String> args)

      Redis command watch.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xack

          public RedisAPI xack(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command xack.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xack

          public RedisAPI xack(List<String> args)

      Redis command xack.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXack

          public Single<Response> rxXack(List<String> args)

      Redis command xack.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xadd

          public RedisAPI xadd(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command xadd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xadd

          public RedisAPI xadd(List<String> args)

      Redis command xadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXadd

          public Single<Response> rxXadd(List<String> args)

      Redis command xadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xclaim

          public RedisAPI xclaim(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command xclaim.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xclaim

          public RedisAPI xclaim(List<String> args)

      Redis command xclaim.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXclaim

          public Single<Response> rxXclaim(List<String> args)

      Redis command xclaim.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xdel

          public RedisAPI xdel(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command xdel.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xdel

          public RedisAPI xdel(List<String> args)

      Redis command xdel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXdel

          public Single<Response> rxXdel(List<String> args)

      Redis command xdel.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xgroup

          public RedisAPI xgroup(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command xgroup.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xgroup

          public RedisAPI xgroup(List<String> args)

      Redis command xgroup.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXgroup

          public Single<Response> rxXgroup(List<String> args)

      Redis command xgroup.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xinfo

          public RedisAPI xinfo(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command xinfo.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xinfo

          public RedisAPI xinfo(List<String> args)

      Redis command xinfo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXinfo

          public Single<Response> rxXinfo(List<String> args)

      Redis command xinfo.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xlen

          public RedisAPI xlen(String arg0,
                               Handler<AsyncResult<Response>> handler)

      Redis command xlen.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### xlen

          public RedisAPI xlen(String arg0)

      Redis command xlen.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxXlen

          public Single<Response> rxXlen(String arg0)

      Redis command xlen.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### xpending

          public RedisAPI xpending(List<String> args,
                                   Handler<AsyncResult<Response>> handler)

      Redis command xpending.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xpending

          public RedisAPI xpending(List<String> args)

      Redis command xpending.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXpending

          public Single<Response> rxXpending(List<String> args)

      Redis command xpending.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xrange

          public RedisAPI xrange(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command xrange.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xrange

          public RedisAPI xrange(List<String> args)

      Redis command xrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXrange

          public Single<Response> rxXrange(List<String> args)

      Redis command xrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xread

          public RedisAPI xread(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command xread.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xread

          public RedisAPI xread(List<String> args)

      Redis command xread.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXread

          public Single<Response> rxXread(List<String> args)

      Redis command xread.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xreadgroup

          public RedisAPI xreadgroup(List<String> args,
                                     Handler<AsyncResult<Response>> handler)

      Redis command xreadgroup.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xreadgroup

          public RedisAPI xreadgroup(List<String> args)

      Redis command xreadgroup.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXreadgroup

          public Single<Response> rxXreadgroup(List<String> args)

      Redis command xreadgroup.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xrevrange

          public RedisAPI xrevrange(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command xrevrange.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xrevrange

          public RedisAPI xrevrange(List<String> args)

      Redis command xrevrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXrevrange

          public Single<Response> rxXrevrange(List<String> args)

      Redis command xrevrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### xsetid

          public RedisAPI xsetid(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command xsetid.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### xsetid

          public RedisAPI xsetid(String arg0,
                                 String arg1)

      Redis command xsetid.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxXsetid

          public Single<Response> rxXsetid(String arg0,
                                           String arg1)

      Redis command xsetid.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### xtrim

          public RedisAPI xtrim(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command xtrim.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### xtrim

          public RedisAPI xtrim(List<String> args)

      Redis command xtrim.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxXtrim

          public Single<Response> rxXtrim(List<String> args)

      Redis command xtrim.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zadd

          public RedisAPI zadd(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command zadd.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zadd

          public RedisAPI zadd(List<String> args)

      Redis command zadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZadd

          public Single<Response> rxZadd(List<String> args)

      Redis command zadd.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zcard

          public RedisAPI zcard(String arg0,
                                Handler<AsyncResult<Response>> handler)

      Redis command zcard.
      Parameters:
        `arg0` -
        `handler` -
      Returns:
        fluent self

    - #### zcard

          public RedisAPI zcard(String arg0)

      Redis command zcard.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### rxZcard

          public Single<Response> rxZcard(String arg0)

      Redis command zcard.
      Parameters:
        `arg0` -
      Returns:
        fluent self

    - #### zcount

          public RedisAPI zcount(String arg0,
                                 String arg1,
                                 String arg2,
                                 Handler<AsyncResult<Response>> handler)

      Redis command zcount.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### zcount

          public RedisAPI zcount(String arg0,
                                 String arg1,
                                 String arg2)

      Redis command zcount.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxZcount

          public Single<Response> rxZcount(String arg0,
                                           String arg1,
                                           String arg2)

      Redis command zcount.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### zincrby

          public RedisAPI zincrby(String arg0,
                                  String arg1,
                                  String arg2,
                                  Handler<AsyncResult<Response>> handler)

      Redis command zincrby.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### zincrby

          public RedisAPI zincrby(String arg0,
                                  String arg1,
                                  String arg2)

      Redis command zincrby.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxZincrby

          public Single<Response> rxZincrby(String arg0,
                                            String arg1,
                                            String arg2)

      Redis command zincrby.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### zinterstore

          public RedisAPI zinterstore(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command zinterstore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zinterstore

          public RedisAPI zinterstore(List<String> args)

      Redis command zinterstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZinterstore

          public Single<Response> rxZinterstore(List<String> args)

      Redis command zinterstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zlexcount

          public RedisAPI zlexcount(String arg0,
                                    String arg1,
                                    String arg2,
                                    Handler<AsyncResult<Response>> handler)

      Redis command zlexcount.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### zlexcount

          public RedisAPI zlexcount(String arg0,
                                    String arg1,
                                    String arg2)

      Redis command zlexcount.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxZlexcount

          public Single<Response> rxZlexcount(String arg0,
                                              String arg1,
                                              String arg2)

      Redis command zlexcount.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### zpopmax

          public RedisAPI zpopmax(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command zpopmax.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zpopmax

          public RedisAPI zpopmax(List<String> args)

      Redis command zpopmax.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZpopmax

          public Single<Response> rxZpopmax(List<String> args)

      Redis command zpopmax.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zpopmin

          public RedisAPI zpopmin(List<String> args,
                                  Handler<AsyncResult<Response>> handler)

      Redis command zpopmin.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zpopmin

          public RedisAPI zpopmin(List<String> args)

      Redis command zpopmin.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZpopmin

          public Single<Response> rxZpopmin(List<String> args)

      Redis command zpopmin.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zrange

          public RedisAPI zrange(List<String> args,
                                 Handler<AsyncResult<Response>> handler)

      Redis command zrange.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zrange

          public RedisAPI zrange(List<String> args)

      Redis command zrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZrange

          public Single<Response> rxZrange(List<String> args)

      Redis command zrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zrangebylex

          public RedisAPI zrangebylex(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command zrangebylex.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zrangebylex

          public RedisAPI zrangebylex(List<String> args)

      Redis command zrangebylex.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZrangebylex

          public Single<Response> rxZrangebylex(List<String> args)

      Redis command zrangebylex.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zrangebyscore

          public RedisAPI zrangebyscore(List<String> args,
                                        Handler<AsyncResult<Response>> handler)

      Redis command zrangebyscore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zrangebyscore

          public RedisAPI zrangebyscore(List<String> args)

      Redis command zrangebyscore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZrangebyscore

          public Single<Response> rxZrangebyscore(List<String> args)

      Redis command zrangebyscore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zrank

          public RedisAPI zrank(String arg0,
                                String arg1,
                                Handler<AsyncResult<Response>> handler)

      Redis command zrank.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### zrank

          public RedisAPI zrank(String arg0,
                                String arg1)

      Redis command zrank.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxZrank

          public Single<Response> rxZrank(String arg0,
                                          String arg1)

      Redis command zrank.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### zrem

          public RedisAPI zrem(List<String> args,
                               Handler<AsyncResult<Response>> handler)

      Redis command zrem.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zrem

          public RedisAPI zrem(List<String> args)

      Redis command zrem.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZrem

          public Single<Response> rxZrem(List<String> args)

      Redis command zrem.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zremrangebylex

          public RedisAPI zremrangebylex(String arg0,
                                         String arg1,
                                         String arg2,
                                         Handler<AsyncResult<Response>> handler)

      Redis command zremrangebylex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### zremrangebylex

          public RedisAPI zremrangebylex(String arg0,
                                         String arg1,
                                         String arg2)

      Redis command zremrangebylex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxZremrangebylex

          public Single<Response> rxZremrangebylex(String arg0,
                                                   String arg1,
                                                   String arg2)

      Redis command zremrangebylex.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### zremrangebyrank

          public RedisAPI zremrangebyrank(String arg0,
                                          String arg1,
                                          String arg2,
                                          Handler<AsyncResult<Response>> handler)

      Redis command zremrangebyrank.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### zremrangebyrank

          public RedisAPI zremrangebyrank(String arg0,
                                          String arg1,
                                          String arg2)

      Redis command zremrangebyrank.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxZremrangebyrank

          public Single<Response> rxZremrangebyrank(String arg0,
                                                    String arg1,
                                                    String arg2)

      Redis command zremrangebyrank.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### zremrangebyscore

          public RedisAPI zremrangebyscore(String arg0,
                                           String arg1,
                                           String arg2,
                                           Handler<AsyncResult<Response>> handler)

      Redis command zremrangebyscore.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
        `handler` -
      Returns:
        fluent self

    - #### zremrangebyscore

          public RedisAPI zremrangebyscore(String arg0,
                                           String arg1,
                                           String arg2)

      Redis command zremrangebyscore.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### rxZremrangebyscore

          public Single<Response> rxZremrangebyscore(String arg0,
                                                     String arg1,
                                                     String arg2)

      Redis command zremrangebyscore.
      Parameters:
        `arg0` -
        `arg1` -
        `arg2` -
      Returns:
        fluent self

    - #### zrevrange

          public RedisAPI zrevrange(List<String> args,
                                    Handler<AsyncResult<Response>> handler)

      Redis command zrevrange.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zrevrange

          public RedisAPI zrevrange(List<String> args)

      Redis command zrevrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZrevrange

          public Single<Response> rxZrevrange(List<String> args)

      Redis command zrevrange.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zrevrangebylex

          public RedisAPI zrevrangebylex(List<String> args,
                                         Handler<AsyncResult<Response>> handler)

      Redis command zrevrangebylex.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zrevrangebylex

          public RedisAPI zrevrangebylex(List<String> args)

      Redis command zrevrangebylex.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZrevrangebylex

          public Single<Response> rxZrevrangebylex(List<String> args)

      Redis command zrevrangebylex.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zrevrangebyscore

          public RedisAPI zrevrangebyscore(List<String> args,
                                           Handler<AsyncResult<Response>> handler)

      Redis command zrevrangebyscore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zrevrangebyscore

          public RedisAPI zrevrangebyscore(List<String> args)

      Redis command zrevrangebyscore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZrevrangebyscore

          public Single<Response> rxZrevrangebyscore(List<String> args)

      Redis command zrevrangebyscore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zrevrank

          public RedisAPI zrevrank(String arg0,
                                   String arg1,
                                   Handler<AsyncResult<Response>> handler)

      Redis command zrevrank.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### zrevrank

          public RedisAPI zrevrank(String arg0,
                                   String arg1)

      Redis command zrevrank.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxZrevrank

          public Single<Response> rxZrevrank(String arg0,
                                             String arg1)

      Redis command zrevrank.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### zscan

          public RedisAPI zscan(List<String> args,
                                Handler<AsyncResult<Response>> handler)

      Redis command zscan.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zscan

          public RedisAPI zscan(List<String> args)

      Redis command zscan.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZscan

          public Single<Response> rxZscan(List<String> args)

      Redis command zscan.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### zscore

          public RedisAPI zscore(String arg0,
                                 String arg1,
                                 Handler<AsyncResult<Response>> handler)

      Redis command zscore.
      Parameters:
        `arg0` -
        `arg1` -
        `handler` -
      Returns:
        fluent self

    - #### zscore

          public RedisAPI zscore(String arg0,
                                 String arg1)

      Redis command zscore.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### rxZscore

          public Single<Response> rxZscore(String arg0,
                                           String arg1)

      Redis command zscore.
      Parameters:
        `arg0` -
        `arg1` -
      Returns:
        fluent self

    - #### zunionstore

          public RedisAPI zunionstore(List<String> args,
                                      Handler<AsyncResult<Response>> handler)

      Redis command zunionstore.
      Parameters:
        `args` -
        `handler` -
      Returns:
        fluent self

    - #### zunionstore

          public RedisAPI zunionstore(List<String> args)

      Redis command zunionstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### rxZunionstore

          public Single<Response> rxZunionstore(List<String> args)

      Redis command zunionstore.
      Parameters:
        `args` -
      Returns:
        fluent self

    - #### api

          public static RedisAPI api(Redis client)

    - #### api

          public static RedisAPI api(RedisConnection connection)

    - #### newInstance

          public static RedisAPI newInstance(RedisAPI arg)

Copyright © 2021 Eclipse. All rights reserved.